(* ::Package:: *)

(************************************************************************)
(* This file was generated automatically by the Mathematica front end.  *)
(* It contains Initialization cells from a Notebook file, which         *)
(* typically will have the same name as this file except ending in      *)
(* ".nb" instead of ".m".                                               *)
(*                                                                      *)
(* This file is intended to be loaded into the Mathematica kernel using *)
(* the package loading commands Get or Needs.  Doing so is equivalent   *)
(* to using the Evaluate Initialization Cells menu command in the front *)
(* end.                                                                 *)
(*                                                                      *)
(* DO NOT EDIT THIS FILE.  This entire file is regenerated              *)
(* automatically each time the parent Notebook file is saved in the     *)
(* Mathematica front end.  Any changes you make to this file will be    *)
(* overwritten.                                                         *)
(************************************************************************)



BeginPackage["InputUnits`"]


AddInputAliases::usage="AddInputAliases[\!\(\*
StyleBox[\"aliasRule\",\nFontSlant->\"Italic\"]\)] adds an input alias to the current Front End Session.";


InputUnits::usage="InputUnits is a package that loads input aliases for units. AddInputAliases is its only externally-defined function.";


Begin["`Private`"]


AddInputAliases[newInputAliases_]:=With[{oldInputAliases=InputAliases/.Options[$FrontEndSession,InputAliases],
newList=If[ListQ[newInputAliases],newInputAliases,{newInputAliases}]},SetOptions[$FrontEndSession,InputAliases->Join[oldInputAliases,newList]]]


aliasRule[{alias_,unitShort_},{unitMouseOver_,unitLong_}]:=
With[{boxQ=(StringTake[ToString[Head[#]],-3]==="Box"&)},
With[{boxedUnitShort=If[boxQ[unitShort],unitShort,ToBoxes[unitShort]],
boxedUnitLong=If[boxQ[unitLong],unitLong,RowBox[{ToBoxes[unitLong]}]]},With[{display=StyleBox[RowBox[{StyleBox[boxedUnitShort,"QuantityUnitTraditionalLabel"]}],ShowStringCharacters->False]},
With[{DFun=With[{
displayMouseOver="Unit: "<>unitMouseOver},
(TooltipBox[display,displayMouseOver]&)],
IFun=(RowBox[{"Quantity","[",boxedUnitLong,"]"}]&)},
alias->TemplateBox[{},"QuantityUnit",DisplayFunction->DFun,InterpretationFunction->IFun]]]]]
aliasRule[unitShort_String,unitLong_]:=aliasRule[{"q"<>ToLowerCase[unitShort],unitShort},unitLong]
aliasRule[unitShort_,unitLong_String]:=aliasRule[unitShort,{ToLowerCase[unitLong],unitLong}]



AddInputAliases[{
"us"->"//UnitSimplify",
"si"->"//UnitConvert[#,\"SIBase\"]&",
aliasRule["m","Meters"],
aliasRule["kg","Kilograms"],
aliasRule["s","Seconds"],
aliasRule["N","Newtons"],
aliasRule["J","Joules"],
aliasRule["W","Watts"],

aliasRule["C","Coulombs"],
aliasRule["V","Volts"],
aliasRule["A","Amperes"],
aliasRule[{"qo","\[CapitalOmega]"},"Ohms"],
aliasRule["rad","Radians"],
aliasRule["T","Teslas"],
aliasRule["Wb","Webers"],
aliasRule["F","Farads"],
aliasRule["H","Henries"],
aliasRule["Hz","Hertz"],
aliasRule["mol","Moles"],
aliasRule[{"qkcal","kcal"},{"thermochemical kilocalories","KilocaloriesThermochemical"}],
aliasRule[{"qcal","cal"},{"thermochemical kilocalories","CaloriesThermochemical"}],
aliasRule["K","Kelvins"],
aliasRule[{"qdc","\[Degree]C"},{"degrees Celsius","DegreesCelsius"}],
aliasRule["Pa","Pascals"],
aliasRule["in","Inches"],
aliasRule["ft","Feet"],
aliasRule["yd","Yards"],
aliasRule["mi","Miles"],
aliasRule["nmi",{"nautical miles","NauticalMiles"}],
aliasRule["fm","Femtometers"],
aliasRule["nm","Nanometers"],
aliasRule[{"qmum","\[Mu]m"},"Microns"],
aliasRule["mm","Millimeters"],
aliasRule["cm","Centimeters"],
aliasRule["m","Meters"],
aliasRule["km","Kilometers"],
aliasRule[{"qan","\[CapitalARing]"},{"\[ARing]ngstr\[ODoubleDot]ms","Angstroms"}],
aliasRule["au",{"astronomical units","AstronomicalUnit"}],
aliasRule["ly",{"light years","LightYears"}],
aliasRule["pc","Parsecs"],
aliasRule["ns","Nanoseconds"],
aliasRule["ms","Milliseconds"],
aliasRule["s","Seconds"],
aliasRule["min","Minutes"],
aliasRule[{"qhr","h"},"Hours"],
aliasRule["days","Days"],
aliasRule["yr","Years"],
aliasRule[{"qmicg","\[Mu]g"},"Micrograms"],
aliasRule["mg","Milligrams"],
aliasRule["g","Grams"],
aliasRule["kg","Kilograms"],
aliasRule["u",{"unified atomic mass units","AtomicMassUnit"}],
aliasRule["slugs",{"slugs","SlugsMass"}],
aliasRule[{"qlbm","lb"},"Pounds"],
aliasRule["K","Kelvins"],
aliasRule[{"qdc","\[Degree]C"},{"degrees Celsius","DegreesCelsius"}],
aliasRule[{"qdf","\[Degree]F"},{"degrees Fahrenheit","DegreesFahrenheit"}],
aliasRule[{"qdr","\[Degree]R"},{"degrees Rankine","DegreesRankine"}],
aliasRule["Pa","Pascals"],
aliasRule["kPa","Kilopascals"],
aliasRule["bars","Bars"],
aliasRule["mbar","Millibars"],
aliasRule["atm","Atmospheres"],
aliasRule["mmHg",{"millimeters of mercury","MillimetersOfMercury"}],
aliasRule["Torr","Torr"],
aliasRule["nC","Nanocoulombs"],
aliasRule[{"qmicc","\[Mu]C"},"Microcoulombs"],
aliasRule["mC","Millicoulombs"],
aliasRule[{"qmicv","\[Mu]V"},"Microvolts"],
aliasRule["mV","Millivolts"],
aliasRule["kV","Kilovolts"],
aliasRule[{"qmica","\[Mu]A"},"Microamperes"],
aliasRule["mA","Milliamperes"],
aliasRule[{"qmo","m\[CapitalOmega]"},"Milliohms"],
aliasRule[{"qko","k\[CapitalOmega]"},"Kiloohms"],
aliasRule[{"qmego","M\[CapitalOmega]"},"Megaohms"],
aliasRule[{"qmict","\[Mu]T"},"Microteslas"],
aliasRule["mT","milliteslas"],
aliasRule[{"qgauss","G"},"Gausses"],
aliasRule["kHz","Kilohertz"],
aliasRule[{"qmeghz","MHz"},"Megahertz"],
aliasRule["pF","Picofarads"],
aliasRule[{"qmicf","\[Mu]F"},"Microfarads"],
aliasRule["mF","Millifarads"],
aliasRule[{"qmich","\[Mu]H"},"Microhenries"],
aliasRule["mH","Millihenries"],
aliasRule[{"qpsi",RowBox[{"\"lbf\"","\[InvisibleSpace]","\"/\"","\[InvisibleSpace]",SuperscriptBox["\"in\"","2"]}]},{"pounds-force per inch-square\!\(\*TemplateBox[{},\n\"QuantityUnit\",\nDisplayFunction->(TooltipBox[StyleBox[RowBox[{StyleBox[\"\\\"psi\\\"\", \"QuantityUnitTraditionalLabel\"]}], ShowStringCharacters -> False], \"Unit: pounds-force per inch-squared\"]& ),\nInterpretationFunction->(RowBox[{\"Quantity\", \"[\", If[(StringTake[ToString[Head[#]], -3] === \"Box\"& )[FractionBox[\"\\\"PoundsForce\\\"\", SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]]], FractionBox[\"\\\"PoundsForce\\\"\", SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]], RowBox[{ToBoxes[FractionBox[\"\\\"PoundsForce\\\"\", SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]]]}]], \"]\"}]& )]\)d",
FractionBox["\"PoundsForce\"",SuperscriptBox["\"Inches\"","2"]]}],
aliasRule["N","Newtons"],
aliasRule["dynes","Dynes"],
aliasRule[{"qozf","ozf"},{"ounces\[Hyphen]force","OuncesForce"}],
aliasRule[{"qlbf","lbf"},{"pounds\[Hyphen]force","PoundsForce"}],
aliasRule[{"qton","sh tnf"},{"short tons\[Hyphen]force","ShortTonsForce"}],
aliasRule["J","Joules"],
aliasRule["ergs","Ergs"],
aliasRule["eV","Electronvolts"],aliasRule[{"qkcal","kcal"},{"thermochemical kilocalories","KilocaloriesThermochemical"}],
aliasRule[{"qcal","cal"},{"thermochemical kilocalories","CaloriesThermochemical"}],
aliasRule[{"qftlb",RowBox[{"\"ft\"","\[ThinSpace]","\"lbf\""}]},{"foot pounds\[Hyphen]force",RowBox[{"\"Feet\""," ","\"PoundsForce\""}]}],
aliasRule[{"qdcal","Cal"},{"dietary Calories","LargeCalories"}],
aliasRule[{"qbtu",SubscriptBox["\"BTU\"","\"IT\""]},{"IT British thermal units","BritishThermalUnitsIT"}],
aliasRule["W","Watts"],
aliasRule["hp",{"horsepower","HorsepowerMechanical"}],
aliasRule["b","Barns"],
aliasRule[{"qac","acres"},"Acres"],
aliasRule["ha","Hectares"],
aliasRule["L","Liters"],
aliasRule["mL","Milliliters"],
aliasRule[{"qmicl","\[Mu]L"},"Microliters"],
aliasRule["pL","Picoliters"],
aliasRule["tsp","Teaspoons"],
aliasRule["tbsp","Tablespoons"],
aliasRule[{"qfoz","fl oz"},{"fluid ounces","FluidOunces"}],
aliasRule["cups","Cups"],
aliasRule["pt","Pints"],
aliasRule["qt","Quarts"],
aliasRule["gal","Gallons"]
}]


End[]
EndPackage[]
