(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     97422,       1922]
NotebookOptionsPosition[     97070,       1905]
NotebookOutlinePosition[     97477,       1923]
CellTagsIndexPosition[     97434,       1920]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"toButton", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"alias_", ",", "unitShort_", ",", "buttonDisplay___"}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"unitMouseOver_", ",", "unitLong_"}], "}"}], ",", 
    RowBox[{"xImageSize_:", "22"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"boxQ", "=", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"StringTake", "[", 
          RowBox[{
           RowBox[{"ToString", "[", 
            RowBox[{"Head", "[", "#", "]"}], "]"}], ",", 
           RowBox[{"-", "3"}]}], "]"}], "===", "\"\<Box\>\""}], "&"}], 
       ")"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"boxedUnitShort", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"boxQ", "[", "unitShort", "]"}], ",", "unitShort", ",", 
           RowBox[{"ToBoxes", "[", "unitShort", "]"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"boxedUnitLong", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"boxQ", "[", "unitLong", "]"}], ",", "unitLong", ",", 
           RowBox[{"RowBox", "[", 
            RowBox[{"{", 
             RowBox[{"ToBoxes", "[", "unitLong", "]"}], "}"}], "]"}]}], 
          "]"}]}]}], "}"}], ",", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"display", "=", 
           RowBox[{"StyleBox", "[", 
            RowBox[{
             RowBox[{"RowBox", "[", 
              RowBox[{"{", 
               RowBox[{"StyleBox", "[", 
                RowBox[{
                "boxedUnitShort", ",", 
                 "\"\<QuantityUnitTraditionalLabel\>\""}], "]"}], "}"}], 
              "]"}], ",", 
             RowBox[{"ShowStringCharacters", "\[Rule]", "False"}]}], "]"}]}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"mouseOver", "=", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"alias", "===", "\"\<\>\""}], ",", 
             RowBox[{"\"\<Unit: \>\"", "<>", "unitMouseOver"}], ",", 
             RowBox[{
             "\"\<\[EscapeKey]\>\"", "<>", "alias", "<>", 
              "\"\<\[EscapeKey]\>\"", "<>", "\"\< \[Rule] Unit: \>\"", "<>", 
              "unitMouseOver"}]}], "]"}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"DFun", "=", 
             RowBox[{"With", "[", 
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{"displayMouseOver", "=", 
                 RowBox[{"\"\<Unit: \>\"", "<>", "unitMouseOver"}]}], "}"}], 
               ",", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"TooltipBox", "[", 
                  RowBox[{"display", ",", "displayMouseOver"}], "]"}], "&"}], 
                ")"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"IFun", "=", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"RowBox", "[", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<Quantity\>\"", ",", "\"\<[\>\"", ",", "boxedUnitLong", 
                  ",", "\"\<]\>\""}], "}"}], "]"}], "&"}], ")"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"buttonBoxText", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", "buttonDisplay", "}"}], "===", 
                RowBox[{"{", "}"}]}], ",", "display", ",", 
               RowBox[{"ToBoxes", "@@", 
                RowBox[{"{", "buttonDisplay", "}"}]}]}], "]"}]}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"PasteButton", "[", 
           RowBox[{
            RowBox[{"Tooltip", "[", 
             RowBox[{
              RowBox[{"RawBoxes", "[", "\[IndentingNewLine]", 
               RowBox[{"StyleBox", "[", 
                RowBox[{"buttonBoxText", ",", 
                 RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], "]"}], ",", 
              RowBox[{"mouseOver", "//", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"#", ",", "12"}], "]"}], "&"}]}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"RawBoxes", "[", 
             RowBox[{"TemplateBox", "[", 
              RowBox[{
               RowBox[{"{", "}"}], ",", "\"\<QuantityUnit\>\"", ",", 
               RowBox[{"DisplayFunction", "\[Rule]", "DFun"}], ",", 
               RowBox[{"InterpretationFunction", "\[Rule]", "IFun"}]}], "]"}],
              "]"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"xImageSize", ",", "20"}], "}"}]}], ",", 
            RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}]}], "]"}]}], 
         "]"}]}], "]"}]}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"toButton", "[", 
   RowBox[{"unitShort_String", ",", "unitLong_", ",", "blah___"}], "]"}], ":=", 
  RowBox[{"toButton", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<q\>\"", "<>", 
       RowBox[{"ToLowerCase", "[", "unitShort", "]"}]}], ",", "unitShort"}], 
     "}"}], ",", "unitLong", ",", "blah"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"toButton", "[", 
   RowBox[{"unitShort_", ",", "unitLong_String", ",", "blah___"}], "]"}], ":=", 
  RowBox[{"toButton", "[", 
   RowBox[{"unitShort", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"ToLowerCase", "[", "unitLong", "]"}], ",", "unitLong"}], "}"}],
     ",", "blah"}], "]"}]}]}], "Input",
 CellChangeTimes->{
  3.600437666328916*^9, 3.600442757163865*^9, {3.600443001783949*^9, 
   3.600443020738776*^9}, {3.600443097148994*^9, 3.6004431238808928`*^9}, {
   3.6004432384181147`*^9, 3.600443283540851*^9}, 3.600473845870429*^9, {
   3.600474121470352*^9, 3.600474125666058*^9}, {3.6004742220903*^9, 
   3.6004742234058733`*^9}, {3.6004744605355587`*^9, 
   3.6004744616271772`*^9}, {3.6004745027714663`*^9, 3.600474546383782*^9}, {
   3.600543204127309*^9, 3.600543212170463*^9}, {3.6005433134101057`*^9, 
   3.6005433224015923`*^9}, {3.600543355541252*^9, 3.600543357340377*^9}, 
   3.60055902073709*^9, {3.6005977135785313`*^9, 3.600597744018557*^9}, {
   3.600597783869657*^9, 3.600597793690095*^9}, {3.600602701077173*^9, 
   3.6006027124654703`*^9}, {3.600602967200776*^9, 3.6006029764264812`*^9}, {
   3.600714747489703*^9, 3.600714756434533*^9}, {3.600776343760067*^9, 
   3.6007763587076263`*^9}, {3.600776453657812*^9, 3.6007765898770027`*^9}, {
   3.600776767084016*^9, 3.600776784509161*^9}, {3.600778100914167*^9, 
   3.6007781163344727`*^9}, {3.600780255251699*^9, 3.600780298889421*^9}, {
   3.600780382907757*^9, 3.600780415496725*^9}, {3.600780457843313*^9, 
   3.600780476844551*^9}, {3.6007810496864777`*^9, 3.600781082479032*^9}, {
   3.600781527059905*^9, 3.600781534449469*^9}, {3.600788520799317*^9, 
   3.60078853361172*^9}, {3.600788645427988*^9, 3.600788669816061*^9}, {
   3.600788814718791*^9, 3.6007889355317717`*^9}, 3.6007889810629*^9, {
   3.6007892064790983`*^9, 3.600789228328725*^9}, {3.600795995467037*^9, 
   3.600796005861474*^9}, {3.600810979130671*^9, 3.6008110279158983`*^9}, {
   3.601773026663357*^9, 3.601773066523447*^9}, {3.610107775719987*^9, 
   3.610107834220471*^9}}],

Cell[BoxData[
 RowBox[{"NotebookSave", "[", 
  RowBox[{"CreatePalette", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Button", "[", 
         RowBox[{
          RowBox[{"\"\<Load aliases - InputUnits\>\"", "//", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
          RowBox[{"Needs", "[", "\"\<InputUnits`\>\"", "]"}], ",", 
          RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "160"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Button", "[", 
            RowBox[{
             RowBox[{"Tooltip", "[", 
              RowBox[{
               RowBox[{"\"\<//UnitSimplify\>\"", "//", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
               RowBox[{"\"\<\[EscapeKey]us\[EscapeKey]\>\"", "//", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"#", ",", "12"}], "]"}], "&"}]}]}], "]"}], ",", 
             RowBox[{"Paste", "[", "\"\<//UnitSimplify\>\"", "]"}], ",", 
             RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "85"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Button", "[", 
            RowBox[{
             RowBox[{"Tooltip", "[", 
              RowBox[{
               RowBox[{"\"\<//(to SI base)\>\"", "//", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
               RowBox[{"\"\<\[EscapeKey]si\[EscapeKey]\>\"", "//", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"#", ",", "12"}], "]"}], "&"}]}]}], "]"}], ",", 
             RowBox[{
             "Paste", "[", "\"\<//UnitConvert[#,\\\"SIBase\\\"]&\>\"", "]"}], 
             ",", 
             RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "75"}]}], "]"}]}], "}"}], "]"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PasteButton", "[", 
            RowBox[{
             RowBox[{
             "\"\<UnitConvert[\[SelectionPlaceholder],\[Placeholder]]\>\"", "//", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
             RowBox[{"UnitConvert", "[", 
              RowBox[{"\[SelectionPlaceholder]", ",", "\[Placeholder]"}], 
              "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"88", ",", "20"}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Button", "[", 
            RowBox[{
             RowBox[{"\"\<//N\>\"", "//", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
             RowBox[{"Paste", "[", "\"\<//N\>\"", "]"}], ",", 
             RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"32", ",", "20"}], "}"}]}]}], "]"}], ",", 
           RowBox[{"Button", "[", 
            RowBox[{
             RowBox[{"Tooltip", "[", 
              RowBox[{
               RowBox[{
               "\"\<\!\(\*SuperscriptBox[\(\[CenterDot]\), \(2\)]\)\>\"", "//", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"#", ",", "10"}], "]"}], "&"}], ")"}]}], ",", 
               "\"\<Square Previous\>\""}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"SelectionMove", "[", 
                RowBox[{
                 RowBox[{"InputNotebook", "[", "]"}], ",", "All", ",", 
                 "Word"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"NotebookApply", "[", 
                RowBox[{
                 RowBox[{"InputNotebook", "[", "]"}], ",", 
                 RowBox[{"SuperscriptBox", "[", 
                  RowBox[{
                  "\"\<\[SelectionPlaceholder]\>\"", ",", "\"\<2\>\""}], 
                  "]"}], ",", "All"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"SelectionMove", "[", 
                RowBox[{
                 RowBox[{"InputNotebook", "[", "]"}], ",", "After", ",", 
                 "Word"}], "]"}]}], "}"}], ",", 
             RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"20", ",", "20"}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Button", "[", 
            RowBox[{
             RowBox[{"Tooltip", "[", 
              RowBox[{
               RowBox[{
               "\"\<\!\(\*SuperscriptBox[\(\[CenterDot]\), \(3\)]\)\>\"", "//", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"#", ",", "10"}], "]"}], "&"}], ")"}]}], ",", 
               "\"\<Cube Previous\>\""}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"SelectionMove", "[", 
                RowBox[{
                 RowBox[{"InputNotebook", "[", "]"}], ",", "All", ",", 
                 "Word"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"NotebookApply", "[", 
                RowBox[{
                 RowBox[{"InputNotebook", "[", "]"}], ",", 
                 RowBox[{"SuperscriptBox", "[", 
                  RowBox[{
                  "\"\<\[SelectionPlaceholder]\>\"", ",", "\"\<3\>\""}], 
                  "]"}], ",", "All"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"SelectionMove", "[", 
                RowBox[{
                 RowBox[{"InputNotebook", "[", "]"}], ",", "After", ",", 
                 "Word"}], "]"}]}], "}"}], ",", 
             RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"20", ",", "20"}], "}"}]}]}], "]"}]}], "}"}], "]"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "0", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Pane", "[", 
         RowBox[{"OpenerView", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\"\<Basic SI Units\>\"", "//", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Column", "[", 
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<m\>\"", ",", "\"\<Meters\>\""}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<kg\>\"", ",", "\"\<Kilograms\>\""}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<s\>\"", ",", "\"\<Seconds\>\""}], "]"}], ",",
                     "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<N\>\"", ",", "\"\<Newtons\>\""}], "]"}], ",",
                     "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<J\>\"", ",", "\"\<Joules\>\""}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<W\>\"", ",", "\"\<Watts\>\""}], "]"}]}], 
                   "}"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Row", "[", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<C\>\"", ",", "\"\<Coulombs\>\""}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<V\>\"", ",", "\"\<Volts\>\""}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<A\>\"", ",", "\"\<Amperes\>\""}], "]"}], ",",
                     "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qo\>\"", ",", "\"\<\[CapitalOmega]\>\""}], 
                    "}"}], ",", "\"\<Ohms\>\""}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<rad\>\"", ",", "\"\<Radians\>\"", ",", "26"}], "]"}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{"Button", "[", 
                    RowBox[{
                    RowBox[{"Tooltip", "[", 
                    RowBox[{"\"\<\[Degree]\>\"", ",", 
                    RowBox[{
                    "\"\<\[EscapeKey]deg\[EscapeKey] -> \[Degree]\>\"", "//", 
                    
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"#", ",", "12"}], "]"}], "&"}]}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Paste", "[", "\[Degree]", "]"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"18", ",", "20"}], "}"}]}], ",", 
                    RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}]}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Row", "[", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<T\>\"", ",", "\"\<Teslas\>\""}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<Wb\>\"", ",", "\"\<Webers\>\""}], "]"}], ",",
                     "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<F\>\"", ",", "\"\<Farads\>\"", ",", "20"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<H\>\"", ",", "\"\<Henries\>\"", ",", "20"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<Hz\>\"", ",", "\"\<Hertz\>\""}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<mol\>\"", ",", "\"\<Moles\>\"", ",", "26"}], 
                    "]"}], ","}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Row", "[", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qkcal\>\"", ",", "\"\<kcal\>\""}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<thermochemical kilocalories\>\"", ",", 
                    "\"\<KilocaloriesThermochemical\>\""}], "}"}], ",", 
                    "36"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qcal\>\"", ",", "\"\<cal\>\""}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<thermochemical kilocalories\>\"", ",", 
                    "\"\<CaloriesThermochemical\>\""}], "}"}], ",", "30"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<K\>\"", ",", "\"\<Kelvins\>\""}], "]"}], ",",
                     "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qdc\>\"", ",", "\"\<\[Degree]C\>\""}], "}"}],
                     ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<degrees Celsius\>\"", ",", 
                    "\"\<DegreesCelsius\>\""}], "}"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"toButton", "[", 
                    RowBox[{"\"\<Pa\>\"", ",", "\"\<Pascals\>\""}], "]"}]}], 
                   "\[IndentingNewLine]", "}"}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Spacer", "[", "0", "]"}]}], "\[IndentingNewLine]", 
                "}"}], ",", 
               RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}], 
            "\[IndentingNewLine]", "}"}], ",", "True"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Pane", "[", 
         RowBox[{"OpenerView", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<More Electromagnetic Units\>\"", "//", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<nC\>\"", ",", "\"\<Nanocoulombs\>\""}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qmicc\>\"", ",", "\"\<\[Mu]C\>\""}], "}"}], 
                    ",", "\"\<Microcoulombs\>\""}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<mC\>\"", ",", "\"\<Millicoulombs\>\""}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qmicv\>\"", ",", "\"\<\[Mu]V\>\""}], "}"}], 
                    ",", "\"\<Microvolts\>\""}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<mV\>\"", ",", "\"\<Millivolts\>\""}], "]"}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<kV\>\"", ",", "\"\<Kilovolts\>\""}], "]"}]}],
                   "}"}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qmica\>\"", ",", "\"\<\[Mu]A\>\""}], "}"}], 
                    ",", "\"\<Microamperes\>\"", ",", "26"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<mA\>\"", ",", "\"\<Milliamperes\>\"", ",", "26"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qmo\>\"", ",", "\"\<m\[CapitalOmega]\>\""}], 
                    "}"}], ",", "\"\<Milliohms\>\"", ",", "28"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qko\>\"", ",", "\"\<k\[CapitalOmega]\>\""}], 
                    "}"}], ",", "\"\<Kiloohms\>\"", ",", "26"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<qmego\>\"", ",", "\"\<M\[CapitalOmega]\>\""}], "}"}],
                     ",", "\"\<Megaohms\>\"", ",", "26"}], "]"}]}], 
                  "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qmict\>\"", ",", "\"\<\[Mu]T\>\""}], "}"}], 
                    ",", "\"\<Microteslas\>\"", ",", "26"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<mT\>\"", ",", "\"\<milliteslas\>\"", ",", "26"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qgauss\>\"", ",", "\"\<G\>\""}], "}"}], ",", 
                    "\"\<Gausses\>\"", ",", "24"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<kHz\>\"", ",", "\"\<Kilohertz\>\"", ",", "28"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qmeghz\>\"", ",", "\"\<MHz\>\""}], "}"}], 
                    ",", "\"\<Megahertz\>\"", ",", "28"}], "]"}]}], 
                  "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<pF\>\"", ",", "\"\<Picofarads\>\"", ",", "26"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qmicf\>\"", ",", "\"\<\[Mu]F\>\""}], "}"}], 
                    ",", "\"\<Microfarads\>\"", ",", "26"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<mF\>\"", ",", "\"\<Millifarads\>\"", ",", "26"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qmich\>\"", ",", "\"\<\[Mu]H\>\""}], "}"}], 
                    ",", "\"\<Microhenries\>\"", ",", "27"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<mH\>\"", ",", "\"\<Millihenries\>\"", ",", "27"}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Spacer", "[", "0", "]"}]}], "\[IndentingNewLine]", 
               "}"}], ",", 
              RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Pane", "[", 
         RowBox[{"OpenerView", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<Length Units\>\"", "//", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<in\>\"", ",", "\"\<Inches\>\"", ",", "20"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<ft\>\"", ",", "\"\<Feet\>\"", ",", "20"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<yd\>\"", ",", "\"\<Yards\>\""}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<mi\>\"", ",", "\"\<Miles\>\""}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<nmi\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<nautical miles\>\"", ",", "\"\<NauticalMiles\>\""}], 
                    "}"}], ",", "26"}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<fm\>\"", ",", "\"\<Femtometers\>\""}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<nm\>\"", ",", "\"\<Nanometers\>\""}], "]"}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qmum\>\"", ",", "\"\<\[Mu]m\>\""}], "}"}], 
                    ",", "\"\<Microns\>\"", ",", "22"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<mm\>\"", ",", "\"\<Millimeters\>\"", ",", "26"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<cm\>\"", ",", "\"\<Centimeters\>\"", ",", "22"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<m\>\"", ",", "\"\<Meters\>\"", ",", "18"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<km\>\"", ",", "\"\<Kilometers\>\"", ",", "22"}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<l\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<P\>\"", ",", "Italic"}], "]"}]}], "]"}], 
                    "}"}], "]"}], "//", "Text"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<Planck lengths\>\"", ",", "\"\<PlanckLength\>\""}], 
                    "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<a\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<0\>\""}], "]"}], "}"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<Bohr radii\>\"", ",", "\"\<BohrRadius\>\""}],
                     "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qan\>\"", ",", "\"\<\[CapitalARing]\>\""}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\[ARing]ngstr\[ODoubleDot]ms\>\"", ",", 
                    "\"\<Angstroms\>\""}], "}"}]}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<au\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<astronomical units\>\"", ",", 
                    "\"\<AstronomicalUnit\>\""}], "}"}], ",", "22"}], "]"}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<ly\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<light years\>\"", ",", "\"\<LightYears\>\""}], "}"}],
                     ",", "22"}], "]"}], ",", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<pc\>\"", ",", "\"\<Parsecs\>\"", ",", "22"}],
                     "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Spacer", "[", "0", "]"}]}], "\[IndentingNewLine]", 
               "}"}], ",", 
              RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Pane", "[", 
         RowBox[{"OpenerView", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<Time Units\>\"", "//", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<t\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<P\>\"", ",", "Italic"}], "]"}]}], "]"}], 
                    "}"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<Planck times\>\"", ",", "\"\<PlanckTime\>\""}], 
                    "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<ns\>\"", ",", "\"\<Nanoseconds\>\""}], "]"}],
                    ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<ms\>\"", ",", "\"\<Milliseconds\>\""}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<s\>\"", ",", "\"\<Seconds\>\"", ",", "18"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<min\>\"", ",", "\"\<Minutes\>\"", ",", "26"}], "]"}],
                    ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qhr\>\"", ",", "\"\<h\>\""}], "}"}], ",", 
                    "\"\<Hours\>\""}], "]"}]}], "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<days\>\"", ",", "\"\<Days\>\"", ",", "29"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<yr\>\"", ",", "\"\<Years\>\"", ",", "21"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", "\"\<age of universe\>\""}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<universe ages\>\"", ",", "\"\<UniverseAge\>\""}], 
                    "}"}], ",", "82"}], "]"}]}], "\[IndentingNewLine]", "}"}],
                  "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Spacer", "[", "0", "]"}]}], "\[IndentingNewLine]", 
               "}"}], ",", 
              RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Pane", "[", 
         RowBox[{"OpenerView", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<Mass Units\>\"", "//", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<m\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<P\>\"", ",", "Italic"}], "]"}]}], "]"}], 
                    "}"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<Planck masses\>\"", ",", "\"\<PlanckMass\>\""}], 
                    "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qmicg\>\"", ",", "\"\<\[Mu]g\>\""}], "}"}], 
                    ",", "\"\<Micrograms\>\""}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<mg\>\"", ",", "\"\<Milligrams\>\""}], "]"}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<g\>\"", ",", "\"\<Grams\>\""}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<kg\>\"", ",", "\"\<Kilograms\>\""}], "]"}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<u\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<unified atomic mass units\>\"", ",", 
                    "\"\<AtomicMassUnit\>\""}], "}"}]}], "]"}]}], "}"}], 
                 "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<slugs\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<slugs\>\"", ",", "\"\<SlugsMass\>\""}], 
                    "}"}], ",", "32"}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qlbm\>\"", ",", "\"\<lb\>\"", ",", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\"\<lb\>\"", ",", "\"\<m\>\""}], "]"}]}], "}"}], 
                    ",", "\"\<Pounds\>\"", ",", "23"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\\\"eV\\\"\>\"", ",", "\"\<\[InvisibleSpace]\>\"", 
                    ",", "\"\<\\\"/\\\"\>\"", ",", 
                    "\"\<\[InvisibleSpace]\>\"", ",", 
                    RowBox[{"SuperscriptBox", "[", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"\"\<\\\"c\\\"\>\"", ",", "Italic", ",", 
                    RowBox[{"StripOnInput", "\[Rule]", "False"}]}], "]"}], 
                    ",", "\"\<2\>\""}], "]"}]}], "}"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<electronvolts per speed of light in vacuum squared\>\
\"", ",", 
                    RowBox[{"FractionBox", "[", 
                    RowBox[{"\"\<\\\"Electronvolts\\\"\>\"", ",", " ", 
                    RowBox[{"SuperscriptBox", "[", 
                    RowBox[{
                    "\"\<\\\"SpeedOfLight\\\"\>\"", ",", " ", "\"\<2\>\""}], 
                    "]"}]}], "]"}]}], "}"}], ",", "34"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\\\"MeV\\\"\>\"", ",", "\"\<\[InvisibleSpace]\>\"", 
                    ",", "\"\<\\\"/\\\"\>\"", ",", 
                    "\"\<\[InvisibleSpace]\>\"", ",", 
                    RowBox[{"SuperscriptBox", "[", 
                    RowBox[{
                    RowBox[{"StyleBox", "[", 
                    RowBox[{"\"\<\\\"c\\\"\>\"", ",", "Italic", ",", 
                    RowBox[{"StripOnInput", "\[Rule]", "False"}]}], "]"}], 
                    ",", "\"\<2\>\""}], "]"}]}], "}"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<megaelectronvolts per speed of light in vacuum \
squared\>\"", ",", 
                    RowBox[{"FractionBox", "[", 
                    RowBox[{"\"\<\\\"Megaelectronvolts\\\"\>\"", ",", " ", 
                    RowBox[{"SuperscriptBox", "[", 
                    RowBox[{
                    "\"\<\\\"SpeedOfLight\\\"\>\"", ",", " ", "\"\<2\>\""}], 
                    "]"}]}], "]"}]}], "}"}], ",", "43"}], "]"}]}], 
                  "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Spacer", "[", "0", "]"}]}], "\[IndentingNewLine]", 
               "}"}], ",", 
              RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Pane", "[", 
         RowBox[{"OpenerView", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<Temperature Units\>\"", "//", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<K\>\"", ",", "\"\<Kelvins\>\"", ",", "33"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qdc\>\"", ",", "\"\<\[Degree]C\>\""}], "}"}],
                     ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<degrees Celsius\>\"", ",", 
                    "\"\<DegreesCelsius\>\""}], "}"}], ",", "33"}], "]"}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qdf\>\"", ",", "\"\<\[Degree]F\>\""}], "}"}],
                     ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<degrees Fahrenheit\>\"", ",", 
                    "\"\<DegreesFahrenheit\>\""}], "}"}], ",", "33"}], "]"}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qdr\>\"", ",", "\"\<\[Degree]R\>\""}], "}"}],
                     ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<degrees Rankine\>\"", ",", 
                    "\"\<DegreesRankine\>\""}], "}"}], ",", "33"}], "]"}]}], 
                  "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Spacer", "[", "0", "]"}]}], "\[IndentingNewLine]", 
               "}"}], ",", 
              RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Pane", "[", 
         RowBox[{"OpenerView", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<Pressure Units\>\"", "//", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<Pa\>\"", ",", "\"\<Pascals\>\"", ",", "28"}],
                     "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<kPa\>\"", ",", "\"\<Kilopascals\>\"", ",", "34"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<bars\>\"", ",", "\"\<Bars\>\"", ",", "34"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<mbar\>\"", ",", "\"\<Millibars\>\"", ",", "36"}], 
                    "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<atm\>\"", ",", "\"\<Atmospheres\>\"", ",", "30"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<mmHg\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<millimeters of mercury\>\"", ",", 
                    "\"\<MillimetersOfMercury\>\""}], "}"}], ",", "42"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<Torr\>\"", ",", "\"\<Torr\>\"", ",", "34"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qpsi\>\"", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\\\"lbf\\\"\>\"", ",", "\"\<\[InvisibleSpace]\>\"", 
                    ",", "\"\<\\\"/\\\"\>\"", ",", 
                    "\"\<\[InvisibleSpace]\>\"", ",", 
                    RowBox[{"SuperscriptBox", "[", 
                    RowBox[{"\"\<\\\"in\\\"\>\"", ",", "\"\<2\>\""}], "]"}]}],
                     "}"}], "]"}], ",", "\"\<psi\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<pounds-force per inch-square\!\(\*TemplateBox[{},
\"QuantityUnit\",
DisplayFunction->(TooltipBox[
StyleBox[
RowBox[{
StyleBox[\"\\\"psi\\\"\", \"QuantityUnitTraditionalLabel\"]}], \
ShowStringCharacters -> False], \"Unit: pounds-force per inch-squared\"]& ),
InterpretationFunction->(RowBox[{\"Quantity\", \"[\", 
If[
(StringTake[
ToString[
Head[#]], -3] === \"Box\"& )[
FractionBox[\"\\\"PoundsForce\\\"\", 
SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]]], 
FractionBox[\"\\\"PoundsForce\\\"\", 
SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]], 
RowBox[{
ToBoxes[
FractionBox[\"\\\"PoundsForce\\\"\", 
SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]]]}]], \"]\"}]& )]\)d\>\"", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"FractionBox", "[", 
                    RowBox[{"\"\<\\\"PoundsForce\\\"\>\"", ",", 
                    RowBox[{"SuperscriptBox", "[", 
                    RowBox[{"\"\<\\\"Inches\\\"\>\"", ",", "\"\<2\>\""}], 
                    "]"}]}], "]"}]}], "}"}], ",", "26"}], "]"}]}], 
                  "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Spacer", "[", "0", "]"}]}], "\[IndentingNewLine]", 
               "}"}], ",", 
              RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Pane", "[", 
         RowBox[{"OpenerView", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<Force/Weight Units\>\"", "//", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<N\>\"", ",", "\"\<Newtons\>\"", ",", "20"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<dynes\>\"", ",", "\"\<Dynes\>\"", ",", "36"}], "]"}],
                    ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qozf\>\"", ",", "\"\<ozf\>\"", ",", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\"\<oz\>\"", ",", "\"\<f\>\""}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<ounces\[Hyphen]force\>\"", ",", 
                    "\"\<PoundsForce\>\""}], "}"}], ",", "24"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qlbf\>\"", ",", "\"\<lbf\>\"", ",", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\"\<lb\>\"", ",", "\"\<f\>\""}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<pounds\[Hyphen]force\>\"", ",", 
                    "\"\<PoundsForce\>\""}], "}"}], ",", "24"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qton\>\"", ",", "\"\<sh tnf\>\"", ",", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\"\<ton\>\"", ",", "\"\<f\>\""}], "]"}]}], "}"}],
                     ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<short tons\[Hyphen]force\>\"", ",", 
                    "\"\<ShortTonsForce\>\""}], "}"}], ",", "28"}], "]"}]}], 
                  "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Spacer", "[", "0", "]"}]}], "\[IndentingNewLine]", 
               "}"}], ",", 
              RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Pane", "[", 
         RowBox[{"OpenerView", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<Heat/Energy Units\>\"", "//", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<J\>\"", ",", "\"\<Joules\>\"", ",", "22"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<ergs\>\"", ",", "\"\<Ergs\>\"", ",", "33"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<eV\>\"", ",", "\"\<Electronvolts\>\"", ",", "22"}], 
                    "]"}], ",", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qkcal\>\"", ",", "\"\<kcal\>\""}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<thermochemical kilocalories\>\"", ",", 
                    "\"\<KilocaloriesThermochemical\>\""}], "}"}], ",", 
                    "28"}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qcal\>\"", ",", "\"\<cal\>\""}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<thermochemical kilocalories\>\"", ",", 
                    "\"\<CaloriesThermochemical\>\""}], "}"}], ",", "26"}], 
                    "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qftlb\>\"", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\\\"ft\\\"\>\"", ",", "\"\<\[ThinSpace]\>\"", ",", 
                    "\"\<\\\"lbf\\\"\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<ft\>\"", ",", "\"\<\[ThinSpace]\>\"", ",", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\"\<lb\>\"", ",", "\"\<f\>\""}], "]"}]}], "}"}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<foot pounds\[Hyphen]force\>\"", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\\\"Feet\\\"\>\"", ",", "\"\< \>\"", ",", 
                    "\"\<\\\"PoundsForce\\\"\>\""}], "}"}], "]"}]}], "}"}], 
                    ",", "30"}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qdcal\>\"", ",", "\"\<Cal\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<dietary Calories\>\"", ",", 
                    "\"\<LargeCalories\>\""}], "}"}], ",", "22"}], "]"}], ",",
                    "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qbtu\>\"", ",", 
                    RowBox[{"SubscriptBox", "[", 
                    RowBox[{
                    "\"\<\\\"BTU\\\"\>\"", ",", "\"\<\\\"IT\\\"\>\""}], "]"}],
                     ",", "\"\<BTU\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<IT British thermal units\>\"", ",", 
                    "\"\<BritishThermalUnitsIT\>\""}], "}"}], ",", "26"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\>\"", ",", "\"\<tons of TNT\>\"", ",", 
                    "\"\<tons TNT\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<tons of TNT\>\"", ",", "\"\<TonsOfTNT\>\""}],
                     "}"}], ",", "54"}], "]"}]}], "\[IndentingNewLine]", 
                  "}"}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Spacer", "[", "0", "]"}]}], "\[IndentingNewLine]", 
               "}"}], ",", 
              RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Pane", "[", 
         RowBox[{"OpenerView", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<Power Units\>\"", "//", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<W\>\"", ",", "\"\<Watts\>\"", ",", "22"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<hp\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<horsepower\>\"", ",", 
                    "\"\<HorsepowerMechanical\>\""}], "}"}], ",", "22"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"SubscriptBox", "[", 
                    RowBox[{
                    "\"\<\\\"BTU\\\"\>\"", ",", " ", "\"\<\\\"IT\\\"\>\""}], 
                    "]"}], ",", " ", "\"\<\[InvisibleSpace]\>\"", ",", " ", 
                    "\"\<\\\"/\\\"\>\"", ",", " ", 
                    "\"\<\[InvisibleSpace]\>\"", ",", " ", 
                    "\"\<\\\"h\\\"\>\""}], "}"}], "]"}], ",", 
                    "\"\<BTU/h\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<IT British thermal units per hour\>\"", ",", 
                    RowBox[{"FractionBox", "[", 
                    RowBox[{
                    "\"\<\\\"BritishThermalUnitsIT\\\"\>\"", ",", 
                    "\"\<\\\"Hours\\\"\>\""}], "]"}]}], "}"}], ",", "44"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\\\"ft\\\"\>\"", ",", "\"\<\[ThinSpace]\>\"", ",", 
                    "\"\<\\\"lbf\\\"\>\"", ",", "\"\<\[InvisibleSpace]\>\"", 
                    ",", "\"\<\\\"/\\\"\>\"", ",", 
                    "\"\<\[InvisibleSpace]\>\"", ",", "\"\<\\\"s\\\"\>\""}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<ft\>\"", ",", "\"\<\[ThinSpace]\>\"", ",", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\"\<lb\>\"", ",", "\"\<f\>\""}], "]"}], ",", 
                    "\"\<\[VeryThinSpace]\>\"", ",", "\"\</\>\"", ",", 
                    "\"\<\[VeryThinSpace]\>\"", ",", "\"\<s\>\""}], "}"}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<foot pounds\[Hyphen]force per second\>\"", ",", 
                    RowBox[{"FractionBox", "[", 
                    RowBox[{
                    RowBox[{"RowBox", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\\\"Feet\\\"\>\"", ",", "\"\< \>\"", ",", 
                    "\"\<\\\"PoundsForce\\\"\>\""}], "}"}], "]"}], ",", 
                    "\"\<\\\"Seconds\\\"\>\""}], "]"}]}], "}"}], ",", "44"}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Spacer", "[", "0", "]"}]}], "\[IndentingNewLine]", 
               "}"}], ",", 
              RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Pane", "[", 
         RowBox[{"OpenerView", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<Area Units\>\"", "//", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"Button", "[", 
                    RowBox[{
                    RowBox[{"Tooltip", "[", 
                    RowBox[{
                    RowBox[{
                    "\"\<\!\(\*SuperscriptBox[\(\[CenterDot]\), \(2\)]\)\>\"",
                     "//", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"#", ",", "10"}], "]"}], "&"}], ")"}]}], ",", 
                    "\"\<Square Previous\>\""}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "All", ",", 
                    "Word"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"NotebookApply", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    RowBox[{"SuperscriptBox", "[", 
                    RowBox[{
                    "\"\<\[SelectionPlaceholder]\>\"", ",", "\"\<2\>\""}], 
                    "]"}], ",", "All"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "After", ",", 
                    "Word"}], "]"}]}], "}"}], ",", 
                    RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"22", ",", "20"}], "}"}]}]}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{"SuperscriptBox", "[", 
                    RowBox[{"\"\<\\\"m\\\"\>\"", ",", "\"\<2\>\""}], "]"}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<meters squared\>\"", ",", 
                    RowBox[{"SuperscriptBox", "[", 
                    RowBox[{"\"\<\\\"Meters\\\"\>\"", ",", "\"\<2\>\""}], 
                    "]"}]}], "}"}], ",", "26"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<b\>\"", ",", "\"\<Barns\>\""}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qac\>\"", ",", "\"\<acres\>\""}], "}"}], 
                    ",", "\"\<Acres\>\"", ",", "40"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<ha\>\"", ",", "\"\<Hectares\>\""}], "]"}]}], 
                  "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Spacer", "[", "0", "]"}]}], "\[IndentingNewLine]", 
               "}"}], ",", 
              RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Pane", "[", 
         RowBox[{"OpenerView", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<Volume Units\>\"", "//", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#", ",", "10"}], "]"}], "&"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"Button", "[", 
                    RowBox[{
                    RowBox[{"Tooltip", "[", 
                    RowBox[{
                    RowBox[{
                    "\"\<\!\(\*SuperscriptBox[\(\[CenterDot]\), \(3\)]\)\>\"",
                     "//", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"#", ",", "10"}], "]"}], "&"}], ")"}]}], ",", 
                    "\"\<Cube Previous\>\""}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "All", ",", 
                    "Word"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"NotebookApply", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    RowBox[{"SuperscriptBox", "[", 
                    RowBox[{
                    "\"\<\[SelectionPlaceholder]\>\"", ",", "\"\<3\>\""}], 
                    "]"}], ",", "All"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"SelectionMove", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", "After", ",", 
                    "Word"}], "]"}]}], "}"}], ",", 
                    RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"22", ",", "20"}], "}"}]}]}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", 
                    RowBox[{"SuperscriptBox", "[", 
                    RowBox[{"\"\<\\\"m\\\"\>\"", ",", "\"\<3\>\""}], "]"}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<meters cubed\>\"", ",", 
                    RowBox[{"SuperscriptBox", "[", 
                    RowBox[{"\"\<\\\"Meters\\\"\>\"", ",", "\"\<3\>\""}], 
                    "]"}]}], "}"}], ",", "22"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<L\>\"", ",", "\"\<Liters\>\""}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<mL\>\"", ",", "\"\<Milliliters\>\""}], "]"}],
                    ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qmicl\>\"", ",", "\"\<\[Mu]L\>\""}], "}"}], 
                    ",", "\"\<Microliters\>\""}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<pL\>\"", ",", "\"\<Picoliters\>\""}], 
                    "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<tsp\>\"", ",", "\"\<Teaspoons\>\"", ",", "22"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<tbsp\>\"", ",", "\"\<Tablespoons\>\"", ",", "28"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<qfoz\>\"", ",", "\"\<fl oz\>\""}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<fluid ounces\>\"", ",", "\"\<FluidOunces\>\""}], 
                    "}"}], ",", "30"}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<cups\>\"", ",", "\"\<Cups\>\"", ",", "30"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<pt\>\"", ",", "\"\<Pints\>\"", ",", "22"}], 
                    "]"}], ","}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"toButton", "[", 
                    RowBox[{"\"\<qt\>\"", ",", "\"\<Quarts\>\"", ",", "18"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    "\"\<gal\>\"", ",", "\"\<Gallons\>\"", ",", "21"}], "]"}],
                    ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", "\"\<pk\>\""}], "}"}], ",", 
                    "\"\<Pecks\>\"", ",", "18"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<\>\"", ",", "\"\<bu\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\"\<US  bushels\>\"", ",", "\"\<BushelsUS\>\""}],
                     "}"}], ",", "19"}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"toButton", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\>\"", ",", "\"\<bbl oil\>\"", ",", 
                    "\"\<oil barrels\>\""}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<barrels of oil\>\"", ",", "\"\<BarrelsOfOil\>\""}], 
                    "}"}], ",", "56"}], "]"}]}], "\[IndentingNewLine]", "}"}],
                  "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Spacer", "[", "0", "]"}]}], "\[IndentingNewLine]", 
               "}"}], ",", 
              RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"Spacings", "\[Rule]", "0"}]}], "]"}], ",", 
    RowBox[{"Background", "\[Rule]", "White"}], ",", 
    RowBox[{"Magnification", "\[Rule]", "1.25"}], ",", "\[IndentingNewLine]", 
    
    RowBox[{"WindowTitle", "\[Rule]", "\"\<Units\>\""}], ",", 
    RowBox[{"WindowSize", "\[Rule]", "All"}], ",", 
    RowBox[{"CellMargins", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.599992799136681*^9, 3.59999280552022*^9}, {
   3.599992843014491*^9, 3.599992872322912*^9}, {3.599993436537059*^9, 
   3.599993449092417*^9}, {3.599993513443013*^9, 3.59999355622799*^9}, 
   3.599993600215632*^9, {3.5999936825689707`*^9, 3.5999937839283543`*^9}, {
   3.599993862149785*^9, 3.599993864512504*^9}, {3.59999401376786*^9, 
   3.5999940583305407`*^9}, {3.5999940963542747`*^9, 3.599994098862774*^9}, {
   3.599994138203781*^9, 3.5999942491293983`*^9}, {3.59999428777459*^9, 
   3.599994332537903*^9}, {3.5999969311742983`*^9, 3.5999969332094316`*^9}, {
   3.599997072619451*^9, 3.5999971381761103`*^9}, 3.599997177861383*^9, 
   3.599997321977923*^9, {3.5999974262883873`*^9, 3.599997533682105*^9}, {
   3.599997676489605*^9, 3.599997740634583*^9}, {3.599997789798304*^9, 
   3.599997937410021*^9}, {3.599997969766882*^9, 3.599998076699355*^9}, {
   3.599998140003777*^9, 3.599998245349195*^9}, {3.599998314902851*^9, 
   3.5999983238526583`*^9}, {3.599998362721575*^9, 3.599998407610865*^9}, {
   3.599998446287805*^9, 3.599998447129175*^9}, {3.6000059480347433`*^9, 
   3.600005997231744*^9}, {3.6000060697923822`*^9, 3.6000061205036077`*^9}, {
   3.6000061634458103`*^9, 3.6000061963249702`*^9}, {3.60003408547444*^9, 
   3.6000340862184973`*^9}, {3.600034127177333*^9, 3.600034205701149*^9}, {
   3.600034295318808*^9, 3.600034320731102*^9}, {3.600034361018695*^9, 
   3.600034409302384*^9}, 3.600034456317506*^9, {3.600034490595993*^9, 
   3.600034502283032*^9}, {3.600034948603311*^9, 3.600034958505253*^9}, {
   3.6000400490503197`*^9, 3.6000400508495483`*^9}, 3.600040172708022*^9, {
   3.600040231233185*^9, 3.600040278391405*^9}, {3.600102719828719*^9, 
   3.6001027594944687`*^9}, {3.600102801269413*^9, 3.600102871963337*^9}, {
   3.6001030097210207`*^9, 3.6001032150386143`*^9}, {3.60011003194009*^9, 
   3.600110033291546*^9}, {3.600110519665284*^9, 3.600110522419909*^9}, {
   3.6001107509659452`*^9, 3.6001107533003073`*^9}, {3.600110798474434*^9, 
   3.600110838681175*^9}, {3.6001108732144423`*^9, 3.600110900523038*^9}, {
   3.600110970721938*^9, 3.6001110206712513`*^9}, {3.600111290302745*^9, 
   3.600111311958078*^9}, {3.6001114323764544`*^9, 3.600111442350184*^9}, {
   3.600118069439631*^9, 3.600118070094434*^9}, {3.6001183306544743`*^9, 
   3.600118347328766*^9}, {3.600118381975725*^9, 3.600118394428797*^9}, {
   3.600118442715149*^9, 3.600118445728623*^9}, {3.600118501482361*^9, 
   3.600118503531466*^9}, {3.600118548600354*^9, 3.600118557741583*^9}, 
   3.600118675187434*^9, {3.600118713142367*^9, 3.60011875936843*^9}, {
   3.600118922271667*^9, 3.600118956943636*^9}, {3.600119038414736*^9, 
   3.60011903908948*^9}, 3.6001190797059526`*^9, {3.600119124974449*^9, 
   3.600119144809087*^9}, {3.600119217833116*^9, 3.600119219728799*^9}, {
   3.600134403303897*^9, 3.600134404083476*^9}, 3.600134454907099*^9, {
   3.600134503751501*^9, 3.6001345352427387`*^9}, {3.600134571716385*^9, 
   3.600134589705504*^9}, {3.6001346445154467`*^9, 3.6001346548755827`*^9}, {
   3.60013472239004*^9, 3.600134761999146*^9}, {3.6001348566020613`*^9, 
   3.600134858266036*^9}, {3.600167559480714*^9, 3.600167589050289*^9}, {
   3.6001677868943663`*^9, 3.60016780829414*^9}, {3.6001678413896*^9, 
   3.600167924234686*^9}, 3.600168041134173*^9, {3.600168088270752*^9, 
   3.600168104368594*^9}, {3.600168176978108*^9, 3.600168239537896*^9}, {
   3.600168309334065*^9, 3.600168310654771*^9}, {3.600168345515856*^9, 
   3.600168349990143*^9}, {3.6001684130802803`*^9, 3.600168448248938*^9}, {
   3.600168532681357*^9, 3.600168542861086*^9}, {3.6001685739688597`*^9, 
   3.600168601899005*^9}, {3.6001726862032824`*^9, 3.600172723451832*^9}, {
   3.600172834254243*^9, 3.600172904620631*^9}, {3.6001729965247602`*^9, 
   3.6001730059289618`*^9}, {3.600173958978657*^9, 3.600173970394532*^9}, 
   3.60017406493366*^9, {3.6001741061380444`*^9, 3.600174132981079*^9}, {
   3.600174281333824*^9, 3.6001743172780027`*^9}, {3.6001743481961393`*^9, 
   3.600174375937388*^9}, {3.600174521423171*^9, 3.600174529681725*^9}, {
   3.600174562361945*^9, 3.6001745686945257`*^9}, 3.600174662869327*^9, {
   3.600174710772298*^9, 3.600174782016864*^9}, {3.600226770853219*^9, 
   3.6002267952287703`*^9}, 3.600226906527199*^9, 3.6004750820836687`*^9, {
   3.600475115639427*^9, 3.6004751882631207`*^9}, {3.600475237037767*^9, 
   3.600475261373197*^9}, 3.600475324024603*^9, {3.6004753587445927`*^9, 
   3.600475388421567*^9}, {3.600475737393272*^9, 3.600475744430979*^9}, {
   3.600475863540175*^9, 3.6004759797166367`*^9}, {3.60047601030544*^9, 
   3.600476020576932*^9}, {3.600476076895646*^9, 3.600476085061692*^9}, {
   3.600476409559237*^9, 3.600476479746361*^9}, {3.6004765246465273`*^9, 
   3.600476547640173*^9}, {3.6004766032051897`*^9, 3.600476680975666*^9}, {
   3.6004767201151323`*^9, 3.6004767305325317`*^9}, {3.600476773488778*^9, 
   3.6004767868605967`*^9}, {3.600476854969645*^9, 3.600476859400984*^9}, {
   3.60047688943981*^9, 3.6004769734546824`*^9}, {3.600477005045603*^9, 
   3.600477105956628*^9}, {3.600478048274577*^9, 3.6004780714718103`*^9}, {
   3.6004793650640507`*^9, 3.600479427522841*^9}, {3.600479487332075*^9, 
   3.600479523869725*^9}, {3.600479601350266*^9, 3.600479601708144*^9}, {
   3.600479644099923*^9, 3.600479722444769*^9}, {3.6004799024124107`*^9, 
   3.600479954026842*^9}, {3.600480283151544*^9, 3.6004803108649*^9}, {
   3.6004810914744987`*^9, 3.600481125940229*^9}, {3.60048129408344*^9, 
   3.6004813102374353`*^9}, {3.600511291660245*^9, 3.600511340619513*^9}, {
   3.600511530182185*^9, 3.6005115315556517`*^9}, {3.600511609417053*^9, 
   3.6005116706948843`*^9}, {3.600511701668397*^9, 3.6005117143331013`*^9}, {
   3.6005117602596273`*^9, 3.600511846623074*^9}, {3.600511938513681*^9, 
   3.600511960214593*^9}, {3.600511994211125*^9, 3.600512039314069*^9}, {
   3.6005120816378193`*^9, 3.600512155505548*^9}, {3.600512197457457*^9, 
   3.60051220503589*^9}, {3.600515400691785*^9, 3.6005154236145353`*^9}, {
   3.6005217514182463`*^9, 3.600521757997384*^9}, {3.600521845744562*^9, 
   3.600521866831691*^9}, {3.60052206563235*^9, 3.6005220804845667`*^9}, {
   3.600522485883252*^9, 3.6005225010786877`*^9}, {3.600522567623701*^9, 
   3.600522605565858*^9}, {3.600522645348852*^9, 3.600522657890593*^9}, {
   3.600522815987764*^9, 3.600522856177246*^9}, {3.6005229185706873`*^9, 
   3.600522954024872*^9}, {3.6005571394953957`*^9, 3.6005571690280323`*^9}, {
   3.600557364880715*^9, 3.60055741629349*^9}, {3.600557474726284*^9, 
   3.600557622145686*^9}, {3.600557687622243*^9, 3.600557697419685*^9}, {
   3.600557788973775*^9, 3.600557850228887*^9}, {3.600557898019569*^9, 
   3.600557902374423*^9}, {3.6005582387877207`*^9, 3.60055824646659*^9}, {
   3.6005582872161922`*^9, 3.600558444525333*^9}, {3.6005584821903*^9, 
   3.6005585740679398`*^9}, {3.6005586067504997`*^9, 3.60055861438813*^9}, {
   3.600558699824374*^9, 3.600558704872452*^9}, {3.600558743370542*^9, 
   3.600558749434058*^9}, {3.600558780102116*^9, 3.600558784963572*^9}, {
   3.6005588273503447`*^9, 3.6005588284375343`*^9}, {3.600568626551961*^9, 
   3.600568728487873*^9}, {3.600568809433441*^9, 3.600568810376699*^9}, {
   3.600568901139394*^9, 3.600568941949525*^9}, {3.600568983737714*^9, 
   3.600568995302826*^9}, {3.600569183070025*^9, 3.600569184163875*^9}, {
   3.600569266206402*^9, 3.6005692683450613`*^9}, {3.6005697160615396`*^9, 
   3.6005698031702137`*^9}, {3.600569872212672*^9, 3.600569882605513*^9}, {
   3.600570047606393*^9, 3.600570059036467*^9}, {3.600570111423341*^9, 
   3.60057011398734*^9}, {3.600597848853074*^9, 3.600597970206292*^9}, {
   3.600598009864909*^9, 3.6005980566751966`*^9}, {3.600598106969268*^9, 
   3.600598161863125*^9}, {3.600598250143998*^9, 3.600598271980597*^9}, {
   3.600598348115589*^9, 3.600598358099423*^9}, 3.600598506116541*^9, {
   3.600598560734209*^9, 3.600598564636763*^9}, 3.600598683213477*^9, {
   3.600598812219164*^9, 3.600598868218762*^9}, {3.600598904399727*^9, 
   3.6005990798461637`*^9}, {3.600599149287188*^9, 3.600599240517486*^9}, {
   3.600599275548771*^9, 3.6005992939679127`*^9}, {3.60059932687035*^9, 
   3.6005993342439117`*^9}, {3.6005993915943003`*^9, 
   3.6005994141494093`*^9}, {3.6006023958399467`*^9, 
   3.6006023966139317`*^9}, {3.600602800865964*^9, 3.600602817141613*^9}, {
   3.600603063969153*^9, 3.600603068510887*^9}, {3.6006032137289143`*^9, 
   3.600603220511682*^9}, {3.60060567340182*^9, 3.600605679417101*^9}, 
   3.6006057413594627`*^9, {3.600605882654006*^9, 3.600606062039851*^9}, {
   3.600606121339188*^9, 3.600606129421878*^9}, {3.600606224978869*^9, 
   3.600606230771832*^9}, {3.6006062729146557`*^9, 3.600606317499827*^9}, 
   3.6006063948188553`*^9, {3.600608521236431*^9, 3.600608586441367*^9}, {
   3.6006111933288794`*^9, 3.600611269072008*^9}, {3.600612669827351*^9, 
   3.6006126746877003`*^9}, {3.600612917406374*^9, 3.600612936924337*^9}, {
   3.600612967807106*^9, 3.600612992602509*^9}, {3.600613357598675*^9, 
   3.600613427160236*^9}, {3.600613470708069*^9, 3.6006134888442287`*^9}, {
   3.600613530557494*^9, 3.600613552977788*^9}, {3.600613583050181*^9, 
   3.6006136399063053`*^9}, {3.600613686168054*^9, 3.6006137102988873`*^9}, {
   3.600614241684455*^9, 3.600614251300351*^9}, {3.600614292061097*^9, 
   3.600614325337227*^9}, {3.600614541823104*^9, 3.600614696510304*^9}, {
   3.6006152289999533`*^9, 3.600615238089107*^9}, {3.600615363796853*^9, 
   3.600615367705076*^9}, {3.600615464567169*^9, 3.6006155117026978`*^9}, {
   3.6006155771664047`*^9, 3.600615598292828*^9}, {3.600615644002417*^9, 
   3.600615647648427*^9}, {3.600615758933208*^9, 3.600615815029233*^9}, {
   3.600615854085586*^9, 3.6006158951924677`*^9}, {3.600617582407645*^9, 
   3.6006176152005873`*^9}, {3.600617828513286*^9, 3.6006179032290297`*^9}, {
   3.600617940408107*^9, 3.600617954175578*^9}, {3.600618025481892*^9, 
   3.600618029908914*^9}, 3.600618241040773*^9, {3.60061955995546*^9, 
   3.600619570635168*^9}, {3.600619688730784*^9, 3.600619722503448*^9}, 
   3.60061976330732*^9, {3.600620808880961*^9, 3.6006208290137577`*^9}, {
   3.600620874882036*^9, 3.600620876974391*^9}, {3.600620953227048*^9, 
   3.6006209608968678`*^9}, {3.6006303160893583`*^9, 
   3.6006304090156937`*^9}, {3.600630710528554*^9, 3.600630711857795*^9}, {
   3.600630870149151*^9, 3.600630890395974*^9}, 3.600631107138155*^9, 
   3.60063121973011*^9, {3.600637967326655*^9, 3.600638071672349*^9}, 
   3.600638110631765*^9, {3.600638342608012*^9, 3.600638389508342*^9}, {
   3.600639548105158*^9, 3.600639561761238*^9}, 3.600639618161295*^9, {
   3.600639707000526*^9, 3.60063971026372*^9}, {3.600639740324245*^9, 
   3.600639797044483*^9}, {3.6006398507422943`*^9, 3.6006398565474586`*^9}, {
   3.60063989083737*^9, 3.600639901295724*^9}, {3.6006399537260303`*^9, 
   3.600639955175454*^9}, 3.6006403976525383`*^9, {3.600640471835499*^9, 
   3.6006404732761707`*^9}, {3.6006405098830767`*^9, 3.600640512788533*^9}, {
   3.600640573113475*^9, 3.6006405981356688`*^9}, 3.6006406985732718`*^9, {
   3.600640779482051*^9, 3.600640807705035*^9}, {3.600640945103458*^9, 
   3.600640958617269*^9}, {3.600640994355563*^9, 3.600641025046802*^9}, {
   3.6006410964611607`*^9, 3.600641126577499*^9}, {3.6006411922312593`*^9, 
   3.6006412475731163`*^9}, {3.6006413131482267`*^9, 3.600641322092641*^9}, {
   3.600642442316679*^9, 3.600642472021336*^9}, {3.600642502220901*^9, 
   3.600642508351736*^9}, {3.600642549946014*^9, 3.600642560480979*^9}, {
   3.600642609522457*^9, 3.600642691906948*^9}, 3.600642748439587*^9, {
   3.600643047489205*^9, 3.600643141787044*^9}, 3.6006431945833797`*^9, {
   3.60064338777843*^9, 3.600643471354637*^9}, {3.600643502528438*^9, 
   3.6006435149035387`*^9}, {3.600643547418784*^9, 3.600643586858982*^9}, {
   3.600643623997965*^9, 3.6006436282599583`*^9}, {3.600643665644855*^9, 
   3.6006436666220903`*^9}, {3.6006436966609783`*^9, 
   3.6006436969862547`*^9}, {3.600643732503858*^9, 3.600643766185338*^9}, 
   3.600643796685268*^9, {3.600643839379209*^9, 3.600643848310004*^9}, {
   3.600643882037653*^9, 3.600643932281844*^9}, {3.600643973084786*^9, 
   3.6006440084776506`*^9}, {3.600644059351151*^9, 3.600644065019289*^9}, {
   3.6006441002819147`*^9, 3.6006441043513927`*^9}, {3.600644163029745*^9, 
   3.6006441702941723`*^9}, {3.600644236075309*^9, 3.60064425644868*^9}, {
   3.600644402060601*^9, 3.6006444147500067`*^9}, {3.600644464792029*^9, 
   3.6006444710573*^9}, {3.600644548650997*^9, 3.600644549562364*^9}, {
   3.6006446360294333`*^9, 3.600644637505205*^9}, {3.6006446821783533`*^9, 
   3.600644898842804*^9}, {3.600645101705138*^9, 3.600645138717239*^9}, {
   3.600645173558516*^9, 3.600645186373591*^9}, {3.60064529385424*^9, 
   3.600645385450135*^9}, {3.600646273090559*^9, 3.600646283249617*^9}, {
   3.600646378785101*^9, 3.6006463956813307`*^9}, {3.60064675679417*^9, 
   3.600646764025835*^9}, {3.600646847144051*^9, 3.600646860970945*^9}, {
   3.600646926987623*^9, 3.6006469346255198`*^9}, {3.600647021645949*^9, 
   3.6006470542668877`*^9}, {3.600647209824049*^9, 3.600647229143909*^9}, {
   3.600647323328045*^9, 3.600647357807156*^9}, {3.600647410976343*^9, 
   3.600647421134679*^9}, 3.600647537346019*^9, 3.6006475700712423`*^9, 
   3.600649985254889*^9, 3.600650067065795*^9, {3.60065064460676*^9, 
   3.6006506460817327`*^9}, {3.600650726059456*^9, 3.600650746127874*^9}, {
   3.6006508160049458`*^9, 3.600650873241835*^9}, {3.600651367692177*^9, 
   3.6006514953546343`*^9}, {3.6006515406841297`*^9, 3.60065155102098*^9}, {
   3.60065160593405*^9, 3.600651681386291*^9}, {3.600651740269754*^9, 
   3.600652049128282*^9}, {3.600652081181072*^9, 3.600652459294856*^9}, 
   3.6006526403410053`*^9, {3.6006537697337837`*^9, 3.600653777711465*^9}, {
   3.600653849318925*^9, 3.600653887980089*^9}, {3.6006539246266327`*^9, 
   3.600653961510457*^9}, {3.600654056067178*^9, 3.600654062299355*^9}, {
   3.600654171734016*^9, 3.600654195859757*^9}, {3.600654280528274*^9, 
   3.600654491633766*^9}, {3.600654943290802*^9, 3.600655045091297*^9}, {
   3.6006550844554253`*^9, 3.600655140099691*^9}, 3.600655186573017*^9, {
   3.600655241844565*^9, 3.600655255657999*^9}, {3.6006552951135273`*^9, 
   3.600655301298736*^9}, {3.6006553731449423`*^9, 3.6006553893143*^9}, {
   3.6006554396908712`*^9, 3.60065549698339*^9}, {3.6006559983323402`*^9, 
   3.6006559990835657`*^9}, {3.6006837743230543`*^9, 3.600683913722328*^9}, {
   3.600684061265684*^9, 3.6006840741916857`*^9}, 3.600684135918475*^9, {
   3.6006842319585047`*^9, 3.600684238379879*^9}, {3.600684283675331*^9, 
   3.600684327343862*^9}, {3.600684370564501*^9, 3.6006843708665247`*^9}, {
   3.60068440104004*^9, 3.6006844012647877`*^9}, {3.600685155996111*^9, 
   3.600685311274666*^9}, {3.600685434993889*^9, 3.600685436472829*^9}, {
   3.600685474316381*^9, 3.600685498422244*^9}, 3.6006856127255697`*^9, {
   3.600685648730805*^9, 3.600685675240963*^9}, 3.6006857415957127`*^9, {
   3.6007144909664917`*^9, 3.600714533908184*^9}, {3.60071460281225*^9, 
   3.600714666138989*^9}, {3.600714781767313*^9, 3.600714786302478*^9}, {
   3.600714889947012*^9, 3.600714895641912*^9}, {3.600725121732254*^9, 
   3.600725128781589*^9}, {3.600775779693165*^9, 3.600775808639432*^9}, {
   3.60077587519739*^9, 3.600775908843699*^9}, {3.6007787749544563`*^9, 
   3.600778783000517*^9}, {3.600780519533564*^9, 3.600780528992318*^9}, {
   3.6007805593601294`*^9, 3.600780569270158*^9}, 3.6007806725149527`*^9, {
   3.60078071075453*^9, 3.6007807317847643`*^9}, 3.6007808697137117`*^9, {
   3.600781145845035*^9, 3.600781167884611*^9}, {3.600781208023408*^9, 
   3.600781208944656*^9}, 3.600782574569352*^9, {3.600782671666209*^9, 
   3.60078289485608*^9}, {3.6007890859507313`*^9, 3.600789101294882*^9}, {
   3.600789296428804*^9, 3.600789355803912*^9}, {3.6007930471627207`*^9, 
   3.600793059099272*^9}, {3.600793268842883*^9, 3.600793363505397*^9}, 
   3.6007934567341013`*^9, {3.600793939262381*^9, 3.60079394829889*^9}, {
   3.600794246652321*^9, 3.600794273583435*^9}, {3.600794312459558*^9, 
   3.600794316012027*^9}, {3.600794346958528*^9, 3.600794395632523*^9}, {
   3.600794479313313*^9, 3.600794481123608*^9}, {3.6007945462743273`*^9, 
   3.600794570785935*^9}, {3.600794613911295*^9, 3.600794626563733*^9}, {
   3.600796055332423*^9, 3.6007960603445663`*^9}, 3.600796634062426*^9, {
   3.600796902222809*^9, 3.6007969187040653`*^9}, 3.600797122692998*^9, {
   3.600797174127803*^9, 3.600797297033238*^9}, {3.600797351765671*^9, 
   3.600797417812911*^9}, {3.6007974745018263`*^9, 3.600797475990457*^9}, {
   3.600797512875292*^9, 3.600797533694428*^9}, 3.600797568622333*^9, {
   3.600799112443424*^9, 3.60079912532302*^9}, {3.600799216416794*^9, 
   3.6007992710450487`*^9}, {3.60081165681171*^9, 3.6008116583767433`*^9}, {
   3.600812432455237*^9, 3.600812451982373*^9}, {3.60081248518152*^9, 
   3.600812493881106*^9}, {3.600812620340661*^9, 3.6008126212152452`*^9}, 
   3.6008126850119753`*^9, {3.600812763385704*^9, 3.6008127696522017`*^9}, 
   3.600812835032851*^9, {3.6008129393693523`*^9, 3.600812954115122*^9}, {
   3.600813394723729*^9, 3.6008134542703543`*^9}, {3.600813509721757*^9, 
   3.600813549535717*^9}, {3.600813581986957*^9, 3.600813720100068*^9}, {
   3.600813757401911*^9, 3.600813771913104*^9}, {3.600813813776581*^9, 
   3.60081386837227*^9}, {3.60081400666885*^9, 3.600814071413205*^9}, {
   3.600814323987784*^9, 3.6008143401201897`*^9}, {3.600815485568922*^9, 
   3.600815490225656*^9}, {3.600815529799137*^9, 3.600815577044286*^9}, {
   3.600815649813966*^9, 3.600815691828747*^9}, {3.600815739240471*^9, 
   3.6008157893802557`*^9}, {3.600815826685466*^9, 3.600815873015461*^9}, {
   3.600815960631946*^9, 3.600815995112021*^9}, {3.600816093673346*^9, 
   3.600816120550805*^9}, {3.600816182993902*^9, 3.6008162241908627`*^9}, {
   3.60081626977579*^9, 3.600816344853917*^9}, {3.600816384117031*^9, 
   3.6008163850806847`*^9}, {3.600817203202005*^9, 3.600817238253357*^9}, {
   3.600817284752389*^9, 3.600817315639044*^9}, {3.600817437379908*^9, 
   3.600817529841721*^9}, {3.600818738515991*^9, 3.600818773105605*^9}, {
   3.60081881417843*^9, 3.600818837062653*^9}, {3.600818904729944*^9, 
   3.6008189315491667`*^9}, {3.6008189630057917`*^9, 3.600819015070856*^9}, {
   3.600819075978455*^9, 3.600819077621417*^9}, 3.600819114262226*^9, {
   3.600819144998988*^9, 3.600819223342225*^9}, 3.6008192554172773`*^9, {
   3.600819295311911*^9, 3.600819310930397*^9}, {3.600819546482924*^9, 
   3.600819645918922*^9}, {3.6008197156344852`*^9, 3.600819838609829*^9}, {
   3.60081987226657*^9, 3.600819876643341*^9}, {3.600820076153284*^9, 
   3.6008200800754747`*^9}, {3.600820291612165*^9, 3.600820329476618*^9}, 
   3.600820562944491*^9, {3.600820635469665*^9, 3.600820698703308*^9}, {
   3.6008209573988667`*^9, 3.600820958312779*^9}, {3.600821202705221*^9, 
   3.6008212614288673`*^9}, {3.6008212984206944`*^9, 3.600821328715287*^9}, {
   3.6008213667811527`*^9, 3.600821384620124*^9}, {3.600821418588386*^9, 
   3.6008214387871857`*^9}, {3.600821556822362*^9, 3.600821568172537*^9}, {
   3.6008216451351852`*^9, 3.600821749742787*^9}, {3.600823142300727*^9, 
   3.600823162956987*^9}, {3.6008232741715*^9, 3.600823294236239*^9}, {
   3.600823330402808*^9, 3.6008233657820473`*^9}, 3.6008234099209137`*^9, 
   3.600823490259582*^9, {3.600823666725522*^9, 3.600823673317486*^9}, {
   3.6008237736106052`*^9, 3.600823820112824*^9}, {3.600824092513914*^9, 
   3.600824120885027*^9}, {3.600824172858082*^9, 3.6008241760584507`*^9}, 
   3.600824239291285*^9, 3.600824287490922*^9, {3.600824434289337*^9, 
   3.600824491099522*^9}, {3.600824583607744*^9, 3.6008245928989763`*^9}, {
   3.600824672558782*^9, 3.600824678804294*^9}, 3.6008247207328167`*^9, {
   3.600824810713787*^9, 3.600824810993922*^9}, 3.600824865263207*^9, {
   3.600868738936473*^9, 3.60086874053686*^9}, {3.600883159069783*^9, 
   3.600883183334334*^9}, {3.600883221887546*^9, 3.600883274707808*^9}, {
   3.600883312129078*^9, 3.600883361299176*^9}, {3.600883394941306*^9, 
   3.60088343628218*^9}, 3.600883469292657*^9, {3.600883564153305*^9, 
   3.60088366233221*^9}, {3.600883692527611*^9, 3.600883732641676*^9}, 
   3.600883818491267*^9, {3.6008840252340384`*^9, 3.600884026052182*^9}, {
   3.60088408012138*^9, 3.600884139126824*^9}, {3.600884169255027*^9, 
   3.600884187534375*^9}, 3.600886223307292*^9, {3.6008864270788813`*^9, 
   3.6008864379470873`*^9}, {3.6008864781784782`*^9, 3.600886666490789*^9}, {
   3.600886715219969*^9, 3.6008868176347227`*^9}, {3.600886920788432*^9, 
   3.600886937525544*^9}, {3.600886973676193*^9, 3.600887060698225*^9}, {
   3.600887104366075*^9, 3.600887134708416*^9}, {3.6008871806423807`*^9, 
   3.600887183173225*^9}, {3.6008872210205593`*^9, 3.600887286428403*^9}, {
   3.600887316925997*^9, 3.6008873397861223`*^9}, {3.6008873721181927`*^9, 
   3.600887372825562*^9}, {3.6008874032682858`*^9, 3.6008874047515*^9}, 
   3.600890549059071*^9, {3.600955323533176*^9, 3.600955324047908*^9}, {
   3.600955842499226*^9, 3.6009558566663437`*^9}, {3.6009558892533207`*^9, 
   3.600955891223755*^9}, {3.6009559403397207`*^9, 3.6009559642553*^9}, {
   3.600990185272233*^9, 3.600990185845306*^9}, {3.600990366184456*^9, 
   3.600990370199538*^9}, {3.601122431798935*^9, 3.6011224980360537`*^9}, 
   3.601122608140452*^9, {3.601772645023703*^9, 3.601772676779677*^9}, {
   3.601772738714508*^9, 3.6017728621811943`*^9}, {3.601772911279725*^9, 
   3.601772923101574*^9}, {3.601773138464291*^9, 3.601773161783555*^9}, {
   3.601773206038851*^9, 3.601773210482972*^9}, {3.624018354833391*^9, 
   3.624018355414159*^9}}]
},
WindowToolbars->"EditBar",
WindowSize->{886, 625},
WindowMargins->{{326, Automatic}, {Automatic, 81}},
ShowSelection->True,
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September 9, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 7462, 169, 603, "Input"],
Cell[8022, 191, 89044, 1712, 6903, "Input"]
}
]
*)

(* End of internal cache information *)
