(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    341294,       7334]
NotebookOptionsPosition[    340865,       7313]
NotebookOutlinePosition[    341334,       7334]
CellTagsIndexPosition[    341291,       7331]
WindowTitle->Units
WindowFrame->Palette*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[GridBox[{
    {
     ButtonBox[
      StyleBox["\<\"Load aliases - InputUnits\"\>",
       StripOnInput->False,
       FontSize->10],
      Appearance->"Palette",
      ButtonFunction:>Needs["InputUnits`"],
      Evaluator->Automatic,
      ImageSize->160,
      Method->"Preemptive"]},
    {
     TemplateBox[{ButtonBox[
        TagBox[
         TooltipBox[
          StyleBox["\"//UnitSimplify\"", 10, StripOnInput -> False], 
          StyleBox[
          "\"\[EscapeKey]us\[EscapeKey]\"", 12, StripOnInput -> False], 
          LabelStyle -> "TextStyling"], Annotation[#, 
          Style["\[EscapeKey]us\[EscapeKey]", 12], "Tooltip"]& ], 
        ButtonFunction :> Paste["//UnitSimplify"], Appearance -> "Palette", 
        ImageSize -> 85, Evaluator -> Automatic, Method -> "Preemptive"],
       ButtonBox[
        TagBox[
         TooltipBox[
          StyleBox["\"//(to SI base)\"", 10, StripOnInput -> False], 
          StyleBox[
          "\"\[EscapeKey]si\[EscapeKey]\"", 12, StripOnInput -> False], 
          LabelStyle -> "TextStyling"], Annotation[#, 
          Style["\[EscapeKey]si\[EscapeKey]", 12], "Tooltip"]& ], 
        ButtonFunction :> Paste["//UnitConvert[#,\"SIBase\"]&"], Appearance -> 
        "Palette", ImageSize -> 75, Evaluator -> Automatic, Method -> 
        "Preemptive"]},
      "RowDefault"]},
    {
     TemplateBox[{ButtonBox[
        StyleBox[
        "\"UnitConvert[\[SelectionPlaceholder],\[Placeholder]]\"", 10, 
         StripOnInput -> False], BaseStyle -> "Paste", ButtonData -> 
        RowBox[{"UnitConvert", "[", 
           RowBox[{"\[SelectionPlaceholder]", ",", "\[Placeholder]"}], "]"}], 
        ImageSize -> {88, 20}],ButtonBox[
        StyleBox["\"//N\"", 10, StripOnInput -> False], ButtonFunction :> 
        Paste["//N"], Appearance -> "Palette", ImageSize -> {32, 20}, 
        Evaluator -> Automatic, Method -> "Preemptive"],ButtonBox[
        TagBox[
         TooltipBox[
          StyleBox[
          "\"\\!\\(\\*SuperscriptBox[\\(\[CenterDot]\\), \\(2\\)]\\)\"", 10, 
           StripOnInput -> False], "\"Square Previous\"", LabelStyle -> 
          "TextStyling"], Annotation[#, "Square Previous", "Tooltip"]& ], 
        ButtonFunction :> {
          SelectionMove[
           InputNotebook[], All, Word], 
          NotebookApply[
           InputNotebook[], 
           SuperscriptBox["\[SelectionPlaceholder]", "2"], All], 
          SelectionMove[
           InputNotebook[], After, Word]}, Appearance -> "Palette", 
        ImageSize -> {20, 20}, Evaluator -> Automatic, Method -> 
        "Preemptive"],ButtonBox[
        TagBox[
         TooltipBox[
          StyleBox[
          "\"\\!\\(\\*SuperscriptBox[\\(\[CenterDot]\\), \\(3\\)]\\)\"", 10, 
           StripOnInput -> False], "\"Cube Previous\"", LabelStyle -> 
          "TextStyling"], Annotation[#, "Cube Previous", "Tooltip"]& ], 
        ButtonFunction :> {
          SelectionMove[
           InputNotebook[], All, Word], 
          NotebookApply[
           InputNotebook[], 
           SuperscriptBox["\[SelectionPlaceholder]", "3"], All], 
          SelectionMove[
           InputNotebook[], After, Word]}, Appearance -> "Palette", 
        ImageSize -> {20, 20}, Evaluator -> Automatic, Method -> 
        "Preemptive"]},
      "RowDefault"]},
    {
     InterpretationBox[
      StyleBox[
       GraphicsBox[{},
        BaselinePosition->Baseline,
        ImageSize->{0, 0}],
       CacheGraphics->False],
      Spacer[0]]},
    {
     PaneBox[
      TagBox[
       DynamicModuleBox[{Typeset`var$$ = True}, 
        InterpretationBox[
         StyleBox[
          PaneSelectorBox[{False->GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Basic SI Units\"\>",
               StripOnInput->False,
               FontSize->10]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}], True->
           GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Basic SI Units\"\>",
               StripOnInput->False,
               FontSize->10]},
             {"", 
              PaneBox[
               TagBox[GridBox[{
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"m\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qm\[EscapeKey] \[Rule] Unit: meters\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qm\[EscapeKey] \[Rule] Unit: meters", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"m\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: meters"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Meters\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qkg\[EscapeKey] \[Rule] Unit: kilograms\"",
                     12, StripOnInput -> False], LabelStyle -> "TextStyling"],
                     Annotation[#, 
                    Style[
                    "\[EscapeKey]qkg\[EscapeKey] \[Rule] Unit: kilograms", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kilograms"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kilograms\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"s\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qs\[EscapeKey] \[Rule] Unit: seconds\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qs\[EscapeKey] \[Rule] Unit: seconds", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"s\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: seconds"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Seconds\""}], "]"}]& )], ImageSize -> {22, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"N\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qn\[EscapeKey] \[Rule] Unit: newtons\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qn\[EscapeKey] \[Rule] Unit: newtons", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"N\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: newtons"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Newtons\""}], "]"}]& )], ImageSize -> {22, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"J\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qj\[EscapeKey] \[Rule] Unit: joules\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qj\[EscapeKey] \[Rule] Unit: joules", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"J\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: joules"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Joules\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"W\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qw\[EscapeKey] \[Rule] Unit: watts\"", 12, 
                    StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qw\[EscapeKey] \[Rule] Unit: watts", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"W\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: watts"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Watts\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qc\[EscapeKey] \[Rule] Unit: coulombs\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qc\[EscapeKey] \[Rule] Unit: coulombs", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: coulombs"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Coulombs\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"V\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qv\[EscapeKey] \[Rule] Unit: volts\"", 12, 
                    StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qv\[EscapeKey] \[Rule] Unit: volts", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"V\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: volts"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Volts\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"A\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qa\[EscapeKey] \[Rule] Unit: amperes\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qa\[EscapeKey] \[Rule] Unit: amperes", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"A\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: amperes"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Amperes\""}], "]"}]& )], ImageSize -> {22, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qo\[EscapeKey] \[Rule] Unit: ohms\"", 12, 
                    StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qo\[EscapeKey] \[Rule] Unit: ohms", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: ohms"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Ohms\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"rad\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qrad\[EscapeKey] \[Rule] Unit: radians\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qrad\[EscapeKey] \[Rule] Unit: radians", 12],
                     "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"rad\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: radians"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Radians\""}], "]"}]& )], ImageSize -> {26, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox["\"\[Degree]\"", 
                    StyleBox[
                    "\"\[EscapeKey]deg\[EscapeKey] -> \[Degree]\"", 12, 
                    StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style["\[EscapeKey]deg\[EscapeKey] -> \[Degree]", 12], 
                    "Tooltip"]& ], ButtonFunction :> Paste[Degree], 
                    ImageSize -> {18, 20}, Appearance -> "Palette", Evaluator -> 
                    Automatic, Method -> "Preemptive"]},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"T\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qt\[EscapeKey] \[Rule] Unit: teslas\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qt\[EscapeKey] \[Rule] Unit: teslas", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"T\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: teslas"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Teslas\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Wb\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qwb\[EscapeKey] \[Rule] Unit: webers\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qwb\[EscapeKey] \[Rule] Unit: webers", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Wb\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: webers"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Webers\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"F\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qf\[EscapeKey] \[Rule] Unit: farads\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qf\[EscapeKey] \[Rule] Unit: farads", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"F\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: farads"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Farads\""}], "]"}]& )], ImageSize -> {20, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"H\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qh\[EscapeKey] \[Rule] Unit: henries\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qh\[EscapeKey] \[Rule] Unit: henries", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"H\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: henries"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Henries\""}], "]"}]& )], ImageSize -> {20, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Hz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qhz\[EscapeKey] \[Rule] Unit: hertz\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qhz\[EscapeKey] \[Rule] Unit: hertz", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Hz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: hertz"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Hertz\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mol\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmol\[EscapeKey] \[Rule] Unit: moles\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmol\[EscapeKey] \[Rule] Unit: moles", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mol\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: moles"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Moles\""}], "]"}]& )], ImageSize -> {26, 20}, 
                    Appearance -> "Palette"],""},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kcal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qkcal\[EscapeKey] \[Rule] Unit: \
thermochemical kilocalories\"", 12, StripOnInput -> False], LabelStyle -> 
                    "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qkcal\[EscapeKey] \[Rule] Unit: \
thermochemical kilocalories", 12], "Tooltip"]& ], BaseStyle -> "Paste", 
                    ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kcal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: thermochemical kilocalories"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"KilocaloriesThermochemical\""}], "]"}]& )], 
                    ImageSize -> {36, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"cal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qcal\[EscapeKey] \[Rule] Unit: \
thermochemical kilocalories\"", 12, StripOnInput -> False], LabelStyle -> 
                    "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qcal\[EscapeKey] \[Rule] Unit: \
thermochemical kilocalories", 12], "Tooltip"]& ], BaseStyle -> "Paste", 
                    ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"cal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: thermochemical kilocalories"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"CaloriesThermochemical\""}], "]"}]& )], 
                    ImageSize -> {30, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"K\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qk\[EscapeKey] \[Rule] Unit: kelvins\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qk\[EscapeKey] \[Rule] Unit: kelvins", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"K\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kelvins"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kelvins\""}], "]"}]& )], ImageSize -> {22, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qdc\[EscapeKey] \[Rule] Unit: degrees \
Celsius\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qdc\[EscapeKey] \[Rule] Unit: degrees \
Celsius", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: degrees Celsius"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"DegreesCelsius\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Pa\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qpa\[EscapeKey] \[Rule] Unit: pascals\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qpa\[EscapeKey] \[Rule] Unit: pascals", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Pa\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: pascals"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Pascals\""}], "]"}]& )], ImageSize -> {22, 20},
                     Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   InterpretationBox[
                    StyleBox[
                    GraphicsBox[{},
                    BaselinePosition->Baseline,
                    ImageSize->{0, 0}],
                    CacheGraphics->False],
                    Spacer[0]]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 
                 GridBoxSpacings->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
                "Column"],
               ImageMargins->0]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}]}, 
           Dynamic[Typeset`var$$],
           Alignment->Automatic,
           BaselinePosition->Baseline,
           DefaultBaseStyle->"OpenerView",
           ImageMargins->0,
           ImageSize->Automatic],
          Deployed->False,
          StripOnInput->False],
         OpenerView[{
           Style["Basic SI Units", 10], 
           Column[{
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"m\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qm\[EscapeKey] \[Rule] Unit: meters", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"m\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: meters"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Meters\""}], "]"}]& )]], ImageSize -> {22, 20},
                 Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"kg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qkg\[EscapeKey] \[Rule] Unit: kilograms", 12]], 
                
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kilograms"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kilograms\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"s\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qs\[EscapeKey] \[Rule] Unit: seconds", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"s\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: seconds"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Seconds\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"N\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qn\[EscapeKey] \[Rule] Unit: newtons", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"N\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: newtons"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Newtons\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"J\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qj\[EscapeKey] \[Rule] Unit: joules", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"J\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: joules"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Joules\""}], "]"}]& )]], ImageSize -> {22, 20},
                 Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"W\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style["\[EscapeKey]qw\[EscapeKey] \[Rule] Unit: watts", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"W\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: watts"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Watts\""}], "]"}]& )]], ImageSize -> {22, 20}, 
                Appearance -> "Palette"]}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qc\[EscapeKey] \[Rule] Unit: coulombs", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: coulombs"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Coulombs\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"V\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style["\[EscapeKey]qv\[EscapeKey] \[Rule] Unit: volts", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"V\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: volts"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Volts\""}], "]"}]& )]], ImageSize -> {22, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"A\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qa\[EscapeKey] \[Rule] Unit: amperes", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"A\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: amperes"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Amperes\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style["\[EscapeKey]qo\[EscapeKey] \[Rule] Unit: ohms", 12]], 
                
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: ohms"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Ohms\""}], "]"}]& )]], ImageSize -> {22, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"rad\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qrad\[EscapeKey] \[Rule] Unit: radians", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"rad\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: radians"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Radians\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               Button[
                Tooltip["\[Degree]", 
                 Style["\[EscapeKey]deg\[EscapeKey] -> \[Degree]", 12]], 
                Paste[Degree], ImageSize -> {18, 20}, Appearance -> 
                "Palette"]}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"T\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qt\[EscapeKey] \[Rule] Unit: teslas", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"T\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: teslas"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Teslas\""}], "]"}]& )]], ImageSize -> {22, 20},
                 Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"Wb\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qwb\[EscapeKey] \[Rule] Unit: webers", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Wb\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: webers"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Webers\""}], "]"}]& )]], ImageSize -> {22, 20},
                 Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"F\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qf\[EscapeKey] \[Rule] Unit: farads", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"F\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: farads"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Farads\""}], "]"}]& )]], ImageSize -> {20, 20},
                 Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"H\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qh\[EscapeKey] \[Rule] Unit: henries", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"H\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: henries"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Henries\""}], "]"}]& )]], 
                ImageSize -> {20, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"Hz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qhz\[EscapeKey] \[Rule] Unit: hertz", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Hz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: hertz"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Hertz\""}], "]"}]& )]], ImageSize -> {22, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mol\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmol\[EscapeKey] \[Rule] Unit: moles", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mol\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: moles"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Moles\""}], "]"}]& )]], ImageSize -> {26, 20}, 
                Appearance -> "Palette"], Null}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"kcal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qkcal\[EscapeKey] \[Rule] Unit: thermochemical \
kilocalories", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kcal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: thermochemical kilocalories"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"KilocaloriesThermochemical\""}], "]"}]& )]], 
                ImageSize -> {36, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"cal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qcal\[EscapeKey] \[Rule] Unit: thermochemical \
kilocalories", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"cal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: thermochemical kilocalories"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"CaloriesThermochemical\""}], "]"}]& )]], 
                ImageSize -> {30, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"K\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qk\[EscapeKey] \[Rule] Unit: kelvins", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"K\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kelvins"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kelvins\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qdc\[EscapeKey] \[Rule] Unit: degrees Celsius", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: degrees Celsius"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"DegreesCelsius\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"Pa\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qpa\[EscapeKey] \[Rule] Unit: pascals", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Pa\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: pascals"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Pascals\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"]}], 
             Spacer[0]}, Spacings -> 0]}, True]],
        DynamicModuleValues:>{}],
       Setting[#, {0}]& ]]},
    {
     PaneBox[
      TagBox[
       DynamicModuleBox[{Typeset`var$$ = False}, 
        InterpretationBox[
         StyleBox[
          PaneSelectorBox[{False->GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"More Electromagnetic Units\"\>",
               StripOnInput->False,
               FontSize->10]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}], True->
           GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"More Electromagnetic Units\"\>",
               StripOnInput->False,
               FontSize->10]},
             {"", 
              PaneBox[
               TagBox[GridBox[{
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"nC\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qnc\[EscapeKey] \[Rule] Unit: nanocoulombs\
\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qnc\[EscapeKey] \[Rule] Unit: nanocoulombs", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"nC\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: nanocoulombs"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Nanocoulombs\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmicc\[EscapeKey] \[Rule] Unit: \
microcoulombs\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmicc\[EscapeKey] \[Rule] Unit: \
microcoulombs", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microcoulombs"]& ),
                     InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microcoulombs\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mC\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmc\[EscapeKey] \[Rule] Unit: \
millicoulombs\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmc\[EscapeKey] \[Rule] Unit: millicoulombs",
                     12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mC\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: millicoulombs"]& ),
                     InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Millicoulombs\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]V\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmicv\[EscapeKey] \[Rule] Unit: microvolts\
\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qmicv\[EscapeKey] \[Rule] Unit: microvolts", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]V\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microvolts"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microvolts\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mV\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmv\[EscapeKey] \[Rule] Unit: \
millivolts\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmv\[EscapeKey] \[Rule] Unit: millivolts", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mV\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: millivolts"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Millivolts\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kV\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qkv\[EscapeKey] \[Rule] Unit: kilovolts\"",
                     12, StripOnInput -> False], LabelStyle -> "TextStyling"],
                     Annotation[#, 
                    Style[
                    "\[EscapeKey]qkv\[EscapeKey] \[Rule] Unit: kilovolts", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kV\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kilovolts"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kilovolts\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]A\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmica\[EscapeKey] \[Rule] Unit: \
microamperes\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmica\[EscapeKey] \[Rule] Unit: \
microamperes", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]A\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microamperes"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microamperes\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mA\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qma\[EscapeKey] \[Rule] Unit: milliamperes\
\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qma\[EscapeKey] \[Rule] Unit: milliamperes", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mA\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: milliamperes"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Milliamperes\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"m\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmo\[EscapeKey] \[Rule] Unit: milliohms\"",
                     12, StripOnInput -> False], LabelStyle -> "TextStyling"],
                     Annotation[#, 
                    Style[
                    "\[EscapeKey]qmo\[EscapeKey] \[Rule] Unit: milliohms", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"m\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], "Unit: milliohms"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Milliohms\""}], "]"}]& )], 
                    ImageSize -> {28, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"k\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qko\[EscapeKey] \[Rule] Unit: kiloohms\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qko\[EscapeKey] \[Rule] Unit: kiloohms", 12],
                     "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"k\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], "Unit: kiloohms"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kiloohms\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"M\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmego\[EscapeKey] \[Rule] Unit: \
megaohms\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmego\[EscapeKey] \[Rule] Unit: megaohms", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"M\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], "Unit: megaohms"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Megaohms\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]T\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmict\[EscapeKey] \[Rule] Unit: \
microteslas\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmict\[EscapeKey] \[Rule] Unit: microteslas",
                     12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]T\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microteslas"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microteslas\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mT\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmt\[EscapeKey] \[Rule] Unit: \
milliteslas\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmt\[EscapeKey] \[Rule] Unit: milliteslas", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mT\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: milliteslas"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"milliteslas\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"G\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qgauss\[EscapeKey] \[Rule] Unit: \
gausses\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qgauss\[EscapeKey] \[Rule] Unit: gausses", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"G\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: gausses"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Gausses\""}], "]"}]& )], ImageSize -> {24, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kHz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qkhz\[EscapeKey] \[Rule] Unit: \
kilohertz\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qkhz\[EscapeKey] \[Rule] Unit: kilohertz", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kHz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kilohertz"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kilohertz\""}], "]"}]& )], 
                    ImageSize -> {28, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"MHz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmeghz\[EscapeKey] \[Rule] Unit: megahertz\
\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qmeghz\[EscapeKey] \[Rule] Unit: megahertz", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"MHz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: megahertz"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Megahertz\""}], "]"}]& )], 
                    ImageSize -> {28, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pF\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qpf\[EscapeKey] \[Rule] Unit: \
picofarads\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qpf\[EscapeKey] \[Rule] Unit: picofarads", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pF\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: picofarads"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Picofarads\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]F\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmicf\[EscapeKey] \[Rule] Unit: \
microfarads\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmicf\[EscapeKey] \[Rule] Unit: microfarads",
                     12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]F\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microfarads"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microfarads\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mF\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmf\[EscapeKey] \[Rule] Unit: \
millifarads\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmf\[EscapeKey] \[Rule] Unit: millifarads", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mF\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: millifarads"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Millifarads\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]H\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmich\[EscapeKey] \[Rule] Unit: \
microhenries\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmich\[EscapeKey] \[Rule] Unit: \
microhenries", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]H\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microhenries"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microhenries\""}], "]"}]& )], 
                    ImageSize -> {27, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mH\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmh\[EscapeKey] \[Rule] Unit: millihenries\
\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qmh\[EscapeKey] \[Rule] Unit: millihenries", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mH\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: millihenries"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Millihenries\""}], "]"}]& )], 
                    ImageSize -> {27, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   InterpretationBox[
                    StyleBox[
                    GraphicsBox[{},
                    BaselinePosition->Baseline,
                    ImageSize->{0, 0}],
                    CacheGraphics->False],
                    Spacer[0]]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 
                 GridBoxSpacings->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
                "Column"],
               ImageMargins->0]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}]}, 
           Dynamic[Typeset`var$$],
           Alignment->Automatic,
           BaselinePosition->Baseline,
           DefaultBaseStyle->"OpenerView",
           ImageMargins->0,
           ImageSize->Automatic],
          Deployed->False,
          StripOnInput->False],
         OpenerView[{
           Style["More Electromagnetic Units", 10], 
           Column[{
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"nC\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qnc\[EscapeKey] \[Rule] Unit: nanocoulombs", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"nC\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: nanocoulombs"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Nanocoulombs\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmicc\[EscapeKey] \[Rule] Unit: microcoulombs", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microcoulombs"]& ),
                   InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microcoulombs\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mC\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmc\[EscapeKey] \[Rule] Unit: millicoulombs", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mC\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: millicoulombs"]& ),
                   InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Millicoulombs\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]V\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmicv\[EscapeKey] \[Rule] Unit: microvolts", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]V\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microvolts"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microvolts\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mV\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmv\[EscapeKey] \[Rule] Unit: millivolts", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mV\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: millivolts"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Millivolts\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"kV\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qkv\[EscapeKey] \[Rule] Unit: kilovolts", 12]], 
                
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kV\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kilovolts"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kilovolts\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"]}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]A\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmica\[EscapeKey] \[Rule] Unit: microamperes", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]A\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microamperes"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microamperes\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mA\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qma\[EscapeKey] \[Rule] Unit: milliamperes", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mA\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: milliamperes"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Milliamperes\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"m\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmo\[EscapeKey] \[Rule] Unit: milliohms", 12]], 
                
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"m\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], "Unit: milliohms"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Milliohms\""}], "]"}]& )]], 
                ImageSize -> {28, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"k\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qko\[EscapeKey] \[Rule] Unit: kiloohms", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"k\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], "Unit: kiloohms"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kiloohms\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"M\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmego\[EscapeKey] \[Rule] Unit: megaohms", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"M\[CapitalOmega]\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], "Unit: megaohms"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Megaohms\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"]}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]T\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmict\[EscapeKey] \[Rule] Unit: microteslas", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]T\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microteslas"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microteslas\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mT\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmt\[EscapeKey] \[Rule] Unit: milliteslas", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mT\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: milliteslas"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"milliteslas\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"G\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qgauss\[EscapeKey] \[Rule] Unit: gausses", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"G\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: gausses"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Gausses\""}], "]"}]& )]], 
                ImageSize -> {24, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"kHz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qkhz\[EscapeKey] \[Rule] Unit: kilohertz", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kHz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kilohertz"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kilohertz\""}], "]"}]& )]], 
                ImageSize -> {28, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"MHz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmeghz\[EscapeKey] \[Rule] Unit: megahertz", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"MHz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: megahertz"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Megahertz\""}], "]"}]& )]], 
                ImageSize -> {28, 20}, Appearance -> "Palette"]}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"pF\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qpf\[EscapeKey] \[Rule] Unit: picofarads", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pF\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: picofarads"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Picofarads\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]F\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmicf\[EscapeKey] \[Rule] Unit: microfarads", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]F\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microfarads"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microfarads\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mF\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmf\[EscapeKey] \[Rule] Unit: millifarads", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mF\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: millifarads"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Millifarads\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]H\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmich\[EscapeKey] \[Rule] Unit: microhenries", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]H\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microhenries"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microhenries\""}], "]"}]& )]], 
                ImageSize -> {27, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mH\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmh\[EscapeKey] \[Rule] Unit: millihenries", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mH\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: millihenries"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Millihenries\""}], "]"}]& )]], 
                ImageSize -> {27, 20}, Appearance -> "Palette"]}], 
             Spacer[0]}, Spacings -> 0]}, False]],
        DynamicModuleValues:>{}],
       Setting[#, {0}]& ]]},
    {
     PaneBox[
      TagBox[
       DynamicModuleBox[{Typeset`var$$ = False}, 
        InterpretationBox[
         StyleBox[
          PaneSelectorBox[{False->GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Length Units\"\>",
               StripOnInput->False,
               FontSize->10]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}], True->
           GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Length Units\"\>",
               StripOnInput->False,
               FontSize->10]},
             {"", 
              PaneBox[
               TagBox[GridBox[{
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"in\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qin\[EscapeKey] \[Rule] Unit: inches\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qin\[EscapeKey] \[Rule] Unit: inches", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"in\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: inches"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Inches\""}], "]"}]& )], ImageSize -> {20, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ft\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qft\[EscapeKey] \[Rule] Unit: feet\"", 12, 
                    StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qft\[EscapeKey] \[Rule] Unit: feet", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ft\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: feet"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Feet\""}], "]"}]& )], ImageSize -> {20, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"yd\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qyd\[EscapeKey] \[Rule] Unit: yards\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qyd\[EscapeKey] \[Rule] Unit: yards", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"yd\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: yards"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Yards\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mi\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmi\[EscapeKey] \[Rule] Unit: miles\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmi\[EscapeKey] \[Rule] Unit: miles", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mi\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: miles"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Miles\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"nmi\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qnmi\[EscapeKey] \[Rule] Unit: nautical \
miles\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qnmi\[EscapeKey] \[Rule] Unit: nautical \
miles", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"nmi\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: nautical miles"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"NauticalMiles\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"fm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qfm\[EscapeKey] \[Rule] Unit: \
femtometers\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qfm\[EscapeKey] \[Rule] Unit: femtometers", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"fm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: femtometers"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Femtometers\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"nm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qnm\[EscapeKey] \[Rule] Unit: \
nanometers\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qnm\[EscapeKey] \[Rule] Unit: nanometers", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"nm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: nanometers"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Nanometers\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]m\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmum\[EscapeKey] \[Rule] Unit: microns\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmum\[EscapeKey] \[Rule] Unit: microns", 12],
                     "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]m\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microns"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microns\""}], "]"}]& )], ImageSize -> {22, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmm\[EscapeKey] \[Rule] Unit: \
millimeters\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmm\[EscapeKey] \[Rule] Unit: millimeters", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: millimeters"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Millimeters\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"cm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qcm\[EscapeKey] \[Rule] Unit: \
centimeters\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qcm\[EscapeKey] \[Rule] Unit: centimeters", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"cm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: centimeters"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Centimeters\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"m\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qm\[EscapeKey] \[Rule] Unit: meters\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qm\[EscapeKey] \[Rule] Unit: meters", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"m\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: meters"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Meters\""}], "]"}]& )], ImageSize -> {18, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"km\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qkm\[EscapeKey] \[Rule] Unit: \
kilometers\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qkm\[EscapeKey] \[Rule] Unit: kilometers", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"km\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kilometers"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kilometers\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    BoxData[
                    FormBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"l\"", Italic, StripOnInput -> False], 
                    StyleBox["\"P\"", Italic, StripOnInput -> False]]}, 
                    "RowDefault"], TextForm]], "InlineText"], 
                    Text[
                    Row[{
                    Subscript[
                    Style["l", Italic], 
                    Style["P", Italic]]}]]], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], FontSize -> 10], 
                    StyleBox[
                    "\"Unit: Planck lengths\"", 12, StripOnInput -> False], 
                    LabelStyle -> "TextStyling"], Annotation[#, 
                    Style["Unit: Planck lengths", 12], "Tooltip"]& ], 
                    BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    BoxData[
                    FormBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"l\"", Italic, StripOnInput -> False], 
                    StyleBox["\"P\"", Italic, StripOnInput -> False]]}, 
                    "RowDefault"], TextForm]], "InlineText"], 
                    Text[
                    Row[{
                    Subscript[
                    Style["l", Italic], 
                    Style["P", Italic]]}]]], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: Planck lengths"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"PlanckLength\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"a\"", Italic, StripOnInput -> False], 
                    "\"0\""]}, "RowDefault"], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], FontSize -> 10], 
                    StyleBox[
                    "\"Unit: Bohr radii\"", 12, StripOnInput -> False], 
                    LabelStyle -> "TextStyling"], Annotation[#, 
                    Style["Unit: Bohr radii", 12], "Tooltip"]& ], BaseStyle -> 
                    "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"a\"", Italic, StripOnInput -> False], 
                    "\"0\""]}, "RowDefault"], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: Bohr radii"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"BohrRadius\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[CapitalARing]\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qan\[EscapeKey] \[Rule] Unit: \
\[ARing]ngstr\[ODoubleDot]ms\"", 12, StripOnInput -> False], LabelStyle -> 
                    "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qan\[EscapeKey] \[Rule] Unit: \[ARing]ngstr\
\[ODoubleDot]ms", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[CapitalARing]\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: \[ARing]ngstr\[ODoubleDot]ms"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Angstroms\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"au\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qau\[EscapeKey] \[Rule] Unit: astronomical \
units\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qau\[EscapeKey] \[Rule] Unit: astronomical \
units", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"au\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: astronomical units"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"AstronomicalUnit\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ly\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qly\[EscapeKey] \[Rule] Unit: light \
years\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qly\[EscapeKey] \[Rule] Unit: light years", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ly\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: light years"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"LightYears\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pc\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qpc\[EscapeKey] \[Rule] Unit: parsecs\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qpc\[EscapeKey] \[Rule] Unit: parsecs", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pc\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: parsecs"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Parsecs\""}], "]"}]& )], ImageSize -> {22, 20},
                     Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   InterpretationBox[
                    StyleBox[
                    GraphicsBox[{},
                    BaselinePosition->Baseline,
                    ImageSize->{0, 0}],
                    CacheGraphics->False],
                    Spacer[0]]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 
                 GridBoxSpacings->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
                "Column"],
               ImageMargins->0]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}]}, 
           Dynamic[Typeset`var$$],
           Alignment->Automatic,
           BaselinePosition->Baseline,
           DefaultBaseStyle->"OpenerView",
           ImageMargins->0,
           ImageSize->Automatic],
          Deployed->False,
          StripOnInput->False],
         OpenerView[{
           Style["Length Units", 10], 
           Column[{
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"in\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qin\[EscapeKey] \[Rule] Unit: inches", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"in\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: inches"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Inches\""}], "]"}]& )]], ImageSize -> {20, 20},
                 Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"ft\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style["\[EscapeKey]qft\[EscapeKey] \[Rule] Unit: feet", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ft\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: feet"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Feet\""}], "]"}]& )]], ImageSize -> {20, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"yd\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qyd\[EscapeKey] \[Rule] Unit: yards", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"yd\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: yards"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Yards\""}], "]"}]& )]], ImageSize -> {22, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mi\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmi\[EscapeKey] \[Rule] Unit: miles", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mi\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: miles"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Miles\""}], "]"}]& )]], ImageSize -> {22, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"nmi\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qnmi\[EscapeKey] \[Rule] Unit: nautical miles", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"nmi\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: nautical miles"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"NauticalMiles\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"fm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qfm\[EscapeKey] \[Rule] Unit: femtometers", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"fm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: femtometers"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Femtometers\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"]}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"nm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qnm\[EscapeKey] \[Rule] Unit: nanometers", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"nm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: nanometers"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Nanometers\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]m\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmum\[EscapeKey] \[Rule] Unit: microns", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]m\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microns"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microns\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmm\[EscapeKey] \[Rule] Unit: millimeters", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: millimeters"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Millimeters\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"cm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qcm\[EscapeKey] \[Rule] Unit: centimeters", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"cm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: centimeters"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Centimeters\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"m\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qm\[EscapeKey] \[Rule] Unit: meters", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"m\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: meters"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Meters\""}], "]"}]& )]], ImageSize -> {18, 20},
                 Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"km\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qkm\[EscapeKey] \[Rule] Unit: kilometers", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"km\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kilometers"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kilometers\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"]}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    BoxData[
                    FormBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"l\"", Italic, StripOnInput -> False], 
                    StyleBox["\"P\"", Italic, StripOnInput -> False]]}, 
                    "RowDefault"], TextForm]], "InlineText"], 
                    Text[
                    Row[{
                    Subscript[
                    Style["l", Italic], 
                    Style["P", Italic]]}]]], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], FontSize -> 10]], 
                 Style["Unit: Planck lengths", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    BoxData[
                    FormBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"l\"", Italic, StripOnInput -> False], 
                    StyleBox["\"P\"", Italic, StripOnInput -> False]]}, 
                    "RowDefault"], TextForm]], "InlineText"], 
                    Text[
                    Row[{
                    Subscript[
                    Style["l", Italic], 
                    Style["P", Italic]]}]]], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: Planck lengths"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"PlanckLength\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"a\"", Italic, StripOnInput -> False], 
                    "\"0\""]}, "RowDefault"], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], FontSize -> 10]], 
                 Style["Unit: Bohr radii", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"a\"", Italic, StripOnInput -> False], 
                    "\"0\""]}, "RowDefault"], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: Bohr radii"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"BohrRadius\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[CapitalARing]\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qan\[EscapeKey] \[Rule] Unit: \[ARing]ngstr\
\[ODoubleDot]ms", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[CapitalARing]\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: \[ARing]ngstr\[ODoubleDot]ms"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Angstroms\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"au\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qau\[EscapeKey] \[Rule] Unit: astronomical \
units", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"au\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: astronomical units"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"AstronomicalUnit\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"ly\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qly\[EscapeKey] \[Rule] Unit: light years", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ly\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: light years"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"LightYears\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"pc\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qpc\[EscapeKey] \[Rule] Unit: parsecs", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pc\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: parsecs"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Parsecs\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"]}], 
             Spacer[0]}, Spacings -> 0]}, False]],
        DynamicModuleValues:>{}],
       Setting[#, {0}]& ]]},
    {
     PaneBox[
      TagBox[
       DynamicModuleBox[{Typeset`var$$ = False}, 
        InterpretationBox[
         StyleBox[
          PaneSelectorBox[{False->GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Time Units\"\>",
               StripOnInput->False,
               FontSize->10]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}], True->
           GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Time Units\"\>",
               StripOnInput->False,
               FontSize->10]},
             {"", 
              PaneBox[
               TagBox[GridBox[{
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"t\"", Italic, StripOnInput -> False], 
                    StyleBox["\"P\"", Italic, StripOnInput -> False]]}, 
                    "RowDefault"], "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"Unit: Planck times\"", 12, StripOnInput -> False], 
                    LabelStyle -> "TextStyling"], Annotation[#, 
                    Style["Unit: Planck times", 12], "Tooltip"]& ], BaseStyle -> 
                    "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"t\"", Italic, StripOnInput -> False], 
                    StyleBox["\"P\"", Italic, StripOnInput -> False]]}, 
                    "RowDefault"], "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: Planck times"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"PlanckTime\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ns\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qns\[EscapeKey] \[Rule] Unit: \
nanoseconds\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qns\[EscapeKey] \[Rule] Unit: nanoseconds", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ns\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: nanoseconds"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Nanoseconds\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ms\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qms\[EscapeKey] \[Rule] Unit: milliseconds\
\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qms\[EscapeKey] \[Rule] Unit: milliseconds", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ms\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: milliseconds"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Milliseconds\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"s\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qs\[EscapeKey] \[Rule] Unit: seconds\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qs\[EscapeKey] \[Rule] Unit: seconds", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"s\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: seconds"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Seconds\""}], "]"}]& )], ImageSize -> {18, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"min\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmin\[EscapeKey] \[Rule] Unit: minutes\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmin\[EscapeKey] \[Rule] Unit: minutes", 12],
                     "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"min\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: minutes"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Minutes\""}], "]"}]& )], ImageSize -> {26, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"h\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qhr\[EscapeKey] \[Rule] Unit: hours\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qhr\[EscapeKey] \[Rule] Unit: hours", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"h\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: hours"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Hours\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"days\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qdays\[EscapeKey] \[Rule] Unit: days\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qdays\[EscapeKey] \[Rule] Unit: days", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"days\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: days"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Days\""}], "]"}]& )], ImageSize -> {29, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"yr\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qyr\[EscapeKey] \[Rule] Unit: years\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qyr\[EscapeKey] \[Rule] Unit: years", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"yr\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: years"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Years\""}], "]"}]& )], ImageSize -> {21, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"age of universe\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"Unit: universe ages\"", 12, StripOnInput -> False], 
                    LabelStyle -> "TextStyling"], Annotation[#, 
                    Style["Unit: universe ages", 12], "Tooltip"]& ], 
                    BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"age of universe\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: universe ages"]& ),
                     InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"UniverseAge\""}], "]"}]& )], 
                    ImageSize -> {82, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   InterpretationBox[
                    StyleBox[
                    GraphicsBox[{},
                    BaselinePosition->Baseline,
                    ImageSize->{0, 0}],
                    CacheGraphics->False],
                    Spacer[0]]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 
                 GridBoxSpacings->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
                "Column"],
               ImageMargins->0]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}]}, 
           Dynamic[Typeset`var$$],
           Alignment->Automatic,
           BaselinePosition->Baseline,
           DefaultBaseStyle->"OpenerView",
           ImageMargins->0,
           ImageSize->Automatic],
          Deployed->False,
          StripOnInput->False],
         OpenerView[{
           Style["Time Units", 10], 
           Column[{
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"t\"", Italic, StripOnInput -> False], 
                    StyleBox["\"P\"", Italic, StripOnInput -> False]]}, 
                    "RowDefault"], "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style["Unit: Planck times", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"t\"", Italic, StripOnInput -> False], 
                    StyleBox["\"P\"", Italic, StripOnInput -> False]]}, 
                    "RowDefault"], "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: Planck times"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"PlanckTime\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"ns\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qns\[EscapeKey] \[Rule] Unit: nanoseconds", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ns\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: nanoseconds"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Nanoseconds\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"ms\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qms\[EscapeKey] \[Rule] Unit: milliseconds", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ms\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: milliseconds"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Milliseconds\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"s\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qs\[EscapeKey] \[Rule] Unit: seconds", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"s\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: seconds"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Seconds\""}], "]"}]& )]], 
                ImageSize -> {18, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"min\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmin\[EscapeKey] \[Rule] Unit: minutes", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"min\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: minutes"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Minutes\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"h\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qhr\[EscapeKey] \[Rule] Unit: hours", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"h\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: hours"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Hours\""}], "]"}]& )]], ImageSize -> {22, 20}, 
                Appearance -> "Palette"]}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"days\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qdays\[EscapeKey] \[Rule] Unit: days", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"days\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: days"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Days\""}], "]"}]& )]], ImageSize -> {29, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"yr\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qyr\[EscapeKey] \[Rule] Unit: years", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"yr\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: years"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Years\""}], "]"}]& )]], ImageSize -> {21, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"age of universe\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style["Unit: universe ages", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"age of universe\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: universe ages"]& ),
                   InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"UniverseAge\""}], "]"}]& )]], 
                ImageSize -> {82, 20}, Appearance -> "Palette"]}], 
             Spacer[0]}, Spacings -> 0]}, False]],
        DynamicModuleValues:>{}],
       Setting[#, {0}]& ]]},
    {
     PaneBox[
      TagBox[
       DynamicModuleBox[{Typeset`var$$ = False}, 
        InterpretationBox[
         StyleBox[
          PaneSelectorBox[{False->GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Mass Units\"\>",
               StripOnInput->False,
               FontSize->10]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}], True->
           GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Mass Units\"\>",
               StripOnInput->False,
               FontSize->10]},
             {"", 
              PaneBox[
               TagBox[GridBox[{
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"m\"", Italic, StripOnInput -> False], 
                    StyleBox["\"P\"", Italic, StripOnInput -> False]]}, 
                    "RowDefault"], "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"Unit: Planck masses\"", 12, StripOnInput -> False], 
                    LabelStyle -> "TextStyling"], Annotation[#, 
                    Style["Unit: Planck masses", 12], "Tooltip"]& ], 
                    BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"m\"", Italic, StripOnInput -> False], 
                    StyleBox["\"P\"", Italic, StripOnInput -> False]]}, 
                    "RowDefault"], "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: Planck masses"]& ),
                     InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"PlanckMass\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]g\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmicg\[EscapeKey] \[Rule] Unit: micrograms\
\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qmicg\[EscapeKey] \[Rule] Unit: micrograms", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]g\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: micrograms"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Micrograms\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmg\[EscapeKey] \[Rule] Unit: \
milligrams\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmg\[EscapeKey] \[Rule] Unit: milligrams", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: milligrams"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Milligrams\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"g\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qg\[EscapeKey] \[Rule] Unit: grams\"", 12, 
                    StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qg\[EscapeKey] \[Rule] Unit: grams", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"g\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: grams"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Grams\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qkg\[EscapeKey] \[Rule] Unit: kilograms\"",
                     12, StripOnInput -> False], LabelStyle -> "TextStyling"],
                     Annotation[#, 
                    Style[
                    "\[EscapeKey]qkg\[EscapeKey] \[Rule] Unit: kilograms", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kilograms"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kilograms\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"u\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qu\[EscapeKey] \[Rule] Unit: unified \
atomic mass units\"", 12, StripOnInput -> False], LabelStyle -> 
                    "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qu\[EscapeKey] \[Rule] Unit: unified atomic \
mass units", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"u\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: unified atomic mass units"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"AtomicMassUnit\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"slugs\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qslugs\[EscapeKey] \[Rule] Unit: slugs\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qslugs\[EscapeKey] \[Rule] Unit: slugs", 12],
                     "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"slugs\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: slugs"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"SlugsMass\""}], "]"}]& )], 
                    ImageSize -> {32, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    SubscriptBox["\"lb\"", "\"m\""], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qlbm\[EscapeKey] \[Rule] Unit: pounds\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qlbm\[EscapeKey] \[Rule] Unit: pounds", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"lb\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: pounds"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Pounds\""}], "]"}]& )], ImageSize -> {23, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    
                    RowBox[{"\"eV\"", "\[InvisibleSpace]", "\"/\"", 
                    "\[InvisibleSpace]", 
                    SuperscriptBox[
                    StyleBox["\"c\"", Italic, StripOnInput -> False], "2"]}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], FontSize -> 10], 
                    StyleBox[
                    "\"Unit: electronvolts per speed of light in vacuum \
squared\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "Unit: electronvolts per speed of light in vacuum \
squared", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    
                    RowBox[{"\"eV\"", "\[InvisibleSpace]", "\"/\"", 
                    "\[InvisibleSpace]", 
                    SuperscriptBox[
                    StyleBox["\"c\"", Italic, StripOnInput -> False], "2"]}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], 
                    "Unit: electronvolts per speed of light in vacuum \
squared"]& ), InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    FractionBox["\"Electronvolts\"", 
                    SuperscriptBox["\"SpeedOfLight\"", "2"]], "]"}]& )], 
                    ImageSize -> {34, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    
                    RowBox[{"\"MeV\"", "\[InvisibleSpace]", "\"/\"", 
                    "\[InvisibleSpace]", 
                    SuperscriptBox[
                    StyleBox["\"c\"", Italic, StripOnInput -> False], "2"]}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], FontSize -> 10], 
                    StyleBox[
                    "\"Unit: megaelectronvolts per speed of light in vacuum \
squared\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "Unit: megaelectronvolts per speed of light in vacuum \
squared", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    
                    RowBox[{"\"MeV\"", "\[InvisibleSpace]", "\"/\"", 
                    "\[InvisibleSpace]", 
                    SuperscriptBox[
                    StyleBox["\"c\"", Italic, StripOnInput -> False], "2"]}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], 
                    "Unit: megaelectronvolts per speed of light in vacuum \
squared"]& ), InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    FractionBox["\"Megaelectronvolts\"", 
                    SuperscriptBox["\"SpeedOfLight\"", "2"]], "]"}]& )], 
                    ImageSize -> {43, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   InterpretationBox[
                    StyleBox[
                    GraphicsBox[{},
                    BaselinePosition->Baseline,
                    ImageSize->{0, 0}],
                    CacheGraphics->False],
                    Spacer[0]]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 
                 GridBoxSpacings->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
                "Column"],
               ImageMargins->0]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}]}, 
           Dynamic[Typeset`var$$],
           Alignment->Automatic,
           BaselinePosition->Baseline,
           DefaultBaseStyle->"OpenerView",
           ImageMargins->0,
           ImageSize->Automatic],
          Deployed->False,
          StripOnInput->False],
         OpenerView[{
           Style["Mass Units", 10], 
           Column[{
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"m\"", Italic, StripOnInput -> False], 
                    StyleBox["\"P\"", Italic, StripOnInput -> False]]}, 
                    "RowDefault"], "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style["Unit: Planck masses", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    TemplateBox[{
                    SubscriptBox[
                    StyleBox["\"m\"", Italic, StripOnInput -> False], 
                    StyleBox["\"P\"", Italic, StripOnInput -> False]]}, 
                    "RowDefault"], "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: Planck masses"]& ),
                   InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"PlanckMass\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]g\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmicg\[EscapeKey] \[Rule] Unit: micrograms", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]g\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: micrograms"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Micrograms\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmg\[EscapeKey] \[Rule] Unit: milligrams", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: milligrams"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Milligrams\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"g\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style["\[EscapeKey]qg\[EscapeKey] \[Rule] Unit: grams", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"g\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: grams"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Grams\""}], "]"}]& )]], ImageSize -> {22, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"kg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qkg\[EscapeKey] \[Rule] Unit: kilograms", 12]], 
                
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kilograms"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kilograms\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"u\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qu\[EscapeKey] \[Rule] Unit: unified atomic \
mass units", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"u\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: unified atomic mass units"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"AtomicMassUnit\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"]}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"slugs\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qslugs\[EscapeKey] \[Rule] Unit: slugs", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"slugs\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: slugs"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"SlugsMass\""}], "]"}]& )]], 
                ImageSize -> {32, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   SubscriptBox["\"lb\"", "\"m\""], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qlbm\[EscapeKey] \[Rule] Unit: pounds", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"lb\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: pounds"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Pounds\""}], "]"}]& )]], ImageSize -> {23, 20},
                 Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    
                    RowBox[{
                    "\"eV\"", "\[InvisibleSpace]", "\"/\"", 
                    "\[InvisibleSpace]", 
                    SuperscriptBox[
                    StyleBox["\"c\"", Italic, StripOnInput -> False], "2"]}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], FontSize -> 10]], 
                 Style[
                 "Unit: electronvolts per speed of light in vacuum squared", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    
                    RowBox[{
                    "\"eV\"", "\[InvisibleSpace]", "\"/\"", 
                    "\[InvisibleSpace]", 
                    SuperscriptBox[
                    StyleBox["\"c\"", Italic, StripOnInput -> False], "2"]}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], 
                    "Unit: electronvolts per speed of light in vacuum \
squared"]& ), InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    FractionBox["\"Electronvolts\"", 
                    SuperscriptBox["\"SpeedOfLight\"", "2"]], "]"}]& )]], 
                ImageSize -> {34, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    
                    RowBox[{
                    "\"MeV\"", "\[InvisibleSpace]", "\"/\"", 
                    "\[InvisibleSpace]", 
                    SuperscriptBox[
                    StyleBox["\"c\"", Italic, StripOnInput -> False], "2"]}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], FontSize -> 10]], 
                 Style[
                 "Unit: megaelectronvolts per speed of light in vacuum \
squared", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    
                    RowBox[{
                    "\"MeV\"", "\[InvisibleSpace]", "\"/\"", 
                    "\[InvisibleSpace]", 
                    SuperscriptBox[
                    StyleBox["\"c\"", Italic, StripOnInput -> False], "2"]}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], 
                    "Unit: megaelectronvolts per speed of light in vacuum \
squared"]& ), InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    FractionBox["\"Megaelectronvolts\"", 
                    SuperscriptBox["\"SpeedOfLight\"", "2"]], "]"}]& )]], 
                ImageSize -> {43, 20}, Appearance -> "Palette"]}], 
             Spacer[0]}, Spacings -> 0]}, False]],
        DynamicModuleValues:>{}],
       Setting[#, {0}]& ]]},
    {
     PaneBox[
      TagBox[
       DynamicModuleBox[{Typeset`var$$ = False}, 
        InterpretationBox[
         StyleBox[
          PaneSelectorBox[{False->GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Temperature Units\"\>",
               StripOnInput->False,
               FontSize->10]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}], True->
           GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Temperature Units\"\>",
               StripOnInput->False,
               FontSize->10]},
             {"", 
              PaneBox[
               TagBox[GridBox[{
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"K\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qk\[EscapeKey] \[Rule] Unit: kelvins\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qk\[EscapeKey] \[Rule] Unit: kelvins", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"K\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kelvins"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kelvins\""}], "]"}]& )], ImageSize -> {33, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qdc\[EscapeKey] \[Rule] Unit: degrees \
Celsius\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qdc\[EscapeKey] \[Rule] Unit: degrees \
Celsius", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: degrees Celsius"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"DegreesCelsius\""}], "]"}]& )], 
                    ImageSize -> {33, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]F\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qdf\[EscapeKey] \[Rule] Unit: degrees \
Fahrenheit\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qdf\[EscapeKey] \[Rule] Unit: degrees \
Fahrenheit", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]F\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: degrees Fahrenheit"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"DegreesFahrenheit\""}], "]"}]& )], 
                    ImageSize -> {33, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]R\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qdr\[EscapeKey] \[Rule] Unit: degrees \
Rankine\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qdr\[EscapeKey] \[Rule] Unit: degrees \
Rankine", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]R\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: degrees Rankine"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"DegreesRankine\""}], "]"}]& )], 
                    ImageSize -> {33, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   InterpretationBox[
                    StyleBox[
                    GraphicsBox[{},
                    BaselinePosition->Baseline,
                    ImageSize->{0, 0}],
                    CacheGraphics->False],
                    Spacer[0]]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 
                 GridBoxSpacings->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
                "Column"],
               ImageMargins->0]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}]}, 
           Dynamic[Typeset`var$$],
           Alignment->Automatic,
           BaselinePosition->Baseline,
           DefaultBaseStyle->"OpenerView",
           ImageMargins->0,
           ImageSize->Automatic],
          Deployed->False,
          StripOnInput->False],
         OpenerView[{
           Style["Temperature Units", 10], 
           Column[{
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"K\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qk\[EscapeKey] \[Rule] Unit: kelvins", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"K\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kelvins"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kelvins\""}], "]"}]& )]], 
                ImageSize -> {33, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qdc\[EscapeKey] \[Rule] Unit: degrees Celsius", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]C\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: degrees Celsius"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"DegreesCelsius\""}], "]"}]& )]], 
                ImageSize -> {33, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]F\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qdf\[EscapeKey] \[Rule] Unit: degrees \
Fahrenheit", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]F\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: degrees Fahrenheit"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"DegreesFahrenheit\""}], "]"}]& )]], 
                ImageSize -> {33, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]R\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qdr\[EscapeKey] \[Rule] Unit: degrees Rankine", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"\[Degree]R\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: degrees Rankine"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"DegreesRankine\""}], "]"}]& )]], 
                ImageSize -> {33, 20}, Appearance -> "Palette"]}], 
             Spacer[0]}, Spacings -> 0]}, False]],
        DynamicModuleValues:>{}],
       Setting[#, {0}]& ]]},
    {
     PaneBox[
      TagBox[
       DynamicModuleBox[{Typeset`var$$ = False}, 
        InterpretationBox[
         StyleBox[
          PaneSelectorBox[{False->GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Pressure Units\"\>",
               StripOnInput->False,
               FontSize->10]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}], True->
           GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Pressure Units\"\>",
               StripOnInput->False,
               FontSize->10]},
             {"", 
              PaneBox[
               TagBox[GridBox[{
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Pa\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qpa\[EscapeKey] \[Rule] Unit: pascals\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qpa\[EscapeKey] \[Rule] Unit: pascals", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Pa\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: pascals"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Pascals\""}], "]"}]& )], ImageSize -> {28, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kPa\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qkpa\[EscapeKey] \[Rule] Unit: kilopascals\
\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qkpa\[EscapeKey] \[Rule] Unit: kilopascals", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kPa\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kilopascals"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kilopascals\""}], "]"}]& )], 
                    ImageSize -> {34, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"bars\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qbars\[EscapeKey] \[Rule] Unit: bars\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qbars\[EscapeKey] \[Rule] Unit: bars", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"bars\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: bars"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Bars\""}], "]"}]& )], ImageSize -> {34, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mbar\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmbar\[EscapeKey] \[Rule] Unit: \
millibars\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmbar\[EscapeKey] \[Rule] Unit: millibars", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mbar\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: millibars"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Millibars\""}], "]"}]& )], 
                    ImageSize -> {36, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"atm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qatm\[EscapeKey] \[Rule] Unit: atmospheres\
\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qatm\[EscapeKey] \[Rule] Unit: atmospheres", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"atm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: atmospheres"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Atmospheres\""}], "]"}]& )], 
                    ImageSize -> {30, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mmHg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmmhg\[EscapeKey] \[Rule] Unit: \
millimeters of mercury\"", 12, StripOnInput -> False], LabelStyle -> 
                    "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qmmhg\[EscapeKey] \[Rule] Unit: millimeters \
of mercury", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mmHg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: millimeters of mercury"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"MillimetersOfMercury\""}], "]"}]& )], 
                    ImageSize -> {42, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Torr\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qtorr\[EscapeKey] \[Rule] Unit: torr\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qtorr\[EscapeKey] \[Rule] Unit: torr", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Torr\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: torr"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Torr\""}], "]"}]& )], ImageSize -> {34, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox["\"psi\"", FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qpsi\[EscapeKey] \[Rule] Unit: \
pounds-force per \
inch-square\\!\\(\\*TemplateBox[{},\\n\\\"QuantityUnit\\\",\\nDisplayFunction-\
>(TooltipBox[StyleBox[RowBox[{StyleBox[\\\"\\\\\\\"psi\\\\\\\"\\\", \
\\\"QuantityUnitTraditionalLabel\\\"]}], ShowStringCharacters -> False], \
\\\"Unit: pounds-force per inch-squared\\\"]& \
),\\nInterpretationFunction->(RowBox[{\\\"Quantity\\\", \\\"[\\\", \
If[(StringTake[ToString[Head[#]], -3] === \\\"Box\\\"& )[FractionBox[\\\"\\\\\
\\\"PoundsForce\\\\\\\"\\\", SuperscriptBox[\\\"\\\\\\\"Inches\\\\\\\"\\\", \
\\\"2\\\"]]], FractionBox[\\\"\\\\\\\"PoundsForce\\\\\\\"\\\", \
SuperscriptBox[\\\"\\\\\\\"Inches\\\\\\\"\\\", \\\"2\\\"]], \
RowBox[{ToBoxes[FractionBox[\\\"\\\\\\\"PoundsForce\\\\\\\"\\\", \
SuperscriptBox[\\\"\\\\\\\"Inches\\\\\\\"\\\", \\\"2\\\"]]]}]], \\\"]\\\"}]& \
)]\\)d\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qpsi\[EscapeKey] \[Rule] Unit: pounds-force \
per inch-square\!\(\*TemplateBox[{},\n\"QuantityUnit\",\n\
DisplayFunction->(TooltipBox[StyleBox[RowBox[{StyleBox[\"\\\"psi\\\"\", \
\"QuantityUnitTraditionalLabel\"]}], ShowStringCharacters -> False], \"Unit: \
pounds-force per inch-squared\"]& ),\n\
InterpretationFunction->(RowBox[{\"Quantity\", \"[\", \
If[(StringTake[ToString[Head[#]], -3] === \"Box\"& \
)[FractionBox[\"\\\"PoundsForce\\\"\", SuperscriptBox[\"\\\"Inches\\\"\", \"2\
\"]]], FractionBox[\"\\\"PoundsForce\\\"\", \
SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]], \
RowBox[{ToBoxes[FractionBox[\"\\\"PoundsForce\\\"\", \
SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]]]}]], \"]\"}]& )]\)d", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    
                    RowBox[{"\"lbf\"", "\[InvisibleSpace]", "\"/\"", 
                    "\[InvisibleSpace]", 
                    SuperscriptBox["\"in\"", "2"]}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], 
                    "Unit: pounds-force per inch-square\!\(\*TemplateBox[{},\n\
\"QuantityUnit\",\n\
DisplayFunction->(TooltipBox[StyleBox[RowBox[{StyleBox[\"\\\"psi\\\"\", \
\"QuantityUnitTraditionalLabel\"]}], ShowStringCharacters -> False], \"Unit: \
pounds-force per inch-squared\"]& ),\n\
InterpretationFunction->(RowBox[{\"Quantity\", \"[\", \
If[(StringTake[ToString[Head[#]], -3] === \"Box\"& \
)[FractionBox[\"\\\"PoundsForce\\\"\", SuperscriptBox[\"\\\"Inches\\\"\", \"2\
\"]]], FractionBox[\"\\\"PoundsForce\\\"\", \
SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]], \
RowBox[{ToBoxes[FractionBox[\"\\\"PoundsForce\\\"\", \
SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]]]}]], \"]\"}]& )]\)d"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    FractionBox["\"PoundsForce\"", 
                    SuperscriptBox["\"Inches\"", "2"]], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   InterpretationBox[
                    StyleBox[
                    GraphicsBox[{},
                    BaselinePosition->Baseline,
                    ImageSize->{0, 0}],
                    CacheGraphics->False],
                    Spacer[0]]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 
                 GridBoxSpacings->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
                "Column"],
               ImageMargins->0]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}]}, 
           Dynamic[Typeset`var$$],
           Alignment->Automatic,
           BaselinePosition->Baseline,
           DefaultBaseStyle->"OpenerView",
           ImageMargins->0,
           ImageSize->Automatic],
          Deployed->False,
          StripOnInput->False],
         OpenerView[{
           Style["Pressure Units", 10], 
           Column[{
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"Pa\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qpa\[EscapeKey] \[Rule] Unit: pascals", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Pa\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: pascals"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Pascals\""}], "]"}]& )]], 
                ImageSize -> {28, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"kPa\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qkpa\[EscapeKey] \[Rule] Unit: kilopascals", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kPa\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: kilopascals"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Kilopascals\""}], "]"}]& )]], 
                ImageSize -> {34, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"bars\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qbars\[EscapeKey] \[Rule] Unit: bars", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"bars\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: bars"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Bars\""}], "]"}]& )]], ImageSize -> {34, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mbar\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmbar\[EscapeKey] \[Rule] Unit: millibars", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mbar\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: millibars"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Millibars\""}], "]"}]& )]], 
                ImageSize -> {36, 20}, Appearance -> "Palette"]}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"atm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qatm\[EscapeKey] \[Rule] Unit: atmospheres", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"atm\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: atmospheres"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Atmospheres\""}], "]"}]& )]], 
                ImageSize -> {30, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mmHg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmmhg\[EscapeKey] \[Rule] Unit: millimeters of \
mercury", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mmHg\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: millimeters of mercury"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"MillimetersOfMercury\""}], "]"}]& )]], 
                ImageSize -> {42, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"Torr\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qtorr\[EscapeKey] \[Rule] Unit: torr", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Torr\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: torr"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Torr\""}], "]"}]& )]], ImageSize -> {34, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox["\"psi\"", FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qpsi\[EscapeKey] \[Rule] Unit: pounds-force per \
inch-square\!\(\*TemplateBox[{},\n\"QuantityUnit\",\n\
DisplayFunction->(TooltipBox[StyleBox[RowBox[{StyleBox[\"\\\"psi\\\"\", \
\"QuantityUnitTraditionalLabel\"]}], ShowStringCharacters -> False], \"Unit: \
pounds-force per inch-squared\"]& ),\n\
InterpretationFunction->(RowBox[{\"Quantity\", \"[\", \
If[(StringTake[ToString[Head[#]], -3] === \"Box\"& \
)[FractionBox[\"\\\"PoundsForce\\\"\", SuperscriptBox[\"\\\"Inches\\\"\", \"2\
\"]]], FractionBox[\"\\\"PoundsForce\\\"\", \
SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]], \
RowBox[{ToBoxes[FractionBox[\"\\\"PoundsForce\\\"\", \
SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]]]}]], \"]\"}]& )]\)d", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    
                    RowBox[{
                    "\"lbf\"", "\[InvisibleSpace]", "\"/\"", 
                    "\[InvisibleSpace]", 
                    SuperscriptBox["\"in\"", "2"]}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], 
                    "Unit: pounds-force per inch-square\!\(\*TemplateBox[{},\n\
\"QuantityUnit\",\n\
DisplayFunction->(TooltipBox[StyleBox[RowBox[{StyleBox[\"\\\"psi\\\"\", \
\"QuantityUnitTraditionalLabel\"]}], ShowStringCharacters -> False], \"Unit: \
pounds-force per inch-squared\"]& ),\n\
InterpretationFunction->(RowBox[{\"Quantity\", \"[\", \
If[(StringTake[ToString[Head[#]], -3] === \"Box\"& \
)[FractionBox[\"\\\"PoundsForce\\\"\", SuperscriptBox[\"\\\"Inches\\\"\", \"2\
\"]]], FractionBox[\"\\\"PoundsForce\\\"\", \
SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]], \
RowBox[{ToBoxes[FractionBox[\"\\\"PoundsForce\\\"\", \
SuperscriptBox[\"\\\"Inches\\\"\", \"2\"]]]}]], \"]\"}]& )]\)d"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    FractionBox["\"PoundsForce\"", 
                    SuperscriptBox["\"Inches\"", "2"]], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"]}], 
             Spacer[0]}, Spacings -> 0]}, False]],
        DynamicModuleValues:>{}],
       Setting[#, {0}]& ]]},
    {
     PaneBox[
      TagBox[
       DynamicModuleBox[{Typeset`var$$ = False}, 
        InterpretationBox[
         StyleBox[
          PaneSelectorBox[{False->GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Force/Weight Units\"\>",
               StripOnInput->False,
               FontSize->10]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}], True->
           GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Force/Weight Units\"\>",
               StripOnInput->False,
               FontSize->10]},
             {"", 
              PaneBox[
               TagBox[GridBox[{
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"N\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qn\[EscapeKey] \[Rule] Unit: newtons\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qn\[EscapeKey] \[Rule] Unit: newtons", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"N\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: newtons"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Newtons\""}], "]"}]& )], ImageSize -> {20, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"dynes\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qdynes\[EscapeKey] \[Rule] Unit: dynes\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qdynes\[EscapeKey] \[Rule] Unit: dynes", 12],
                     "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"dynes\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: dynes"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Dynes\""}], "]"}]& )], ImageSize -> {36, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    SubscriptBox["\"oz\"", "\"f\""], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qozf\[EscapeKey] \[Rule] Unit: ounces\
\[Hyphen]force\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qozf\[EscapeKey] \[Rule] Unit: ounces\
\[Hyphen]force", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ozf\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: ounces\[Hyphen]force"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"PoundsForce\""}], "]"}]& )], 
                    ImageSize -> {24, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    SubscriptBox["\"lb\"", "\"f\""], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qlbf\[EscapeKey] \[Rule] Unit: pounds\
\[Hyphen]force\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qlbf\[EscapeKey] \[Rule] Unit: pounds\
\[Hyphen]force", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"lbf\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: pounds\[Hyphen]force"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"PoundsForce\""}], "]"}]& )], 
                    ImageSize -> {24, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    SubscriptBox["\"ton\"", "\"f\""], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qton\[EscapeKey] \[Rule] Unit: short tons\
\[Hyphen]force\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qton\[EscapeKey] \[Rule] Unit: short tons\
\[Hyphen]force", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"sh tnf\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: short tons\[Hyphen]force"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"ShortTonsForce\""}], "]"}]& )], 
                    ImageSize -> {28, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   InterpretationBox[
                    StyleBox[
                    GraphicsBox[{},
                    BaselinePosition->Baseline,
                    ImageSize->{0, 0}],
                    CacheGraphics->False],
                    Spacer[0]]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 
                 GridBoxSpacings->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
                "Column"],
               ImageMargins->0]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}]}, 
           Dynamic[Typeset`var$$],
           Alignment->Automatic,
           BaselinePosition->Baseline,
           DefaultBaseStyle->"OpenerView",
           ImageMargins->0,
           ImageSize->Automatic],
          Deployed->False,
          StripOnInput->False],
         OpenerView[{
           Style["Force/Weight Units", 10], 
           Column[{
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"N\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qn\[EscapeKey] \[Rule] Unit: newtons", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"N\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: newtons"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Newtons\""}], "]"}]& )]], 
                ImageSize -> {20, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"dynes\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qdynes\[EscapeKey] \[Rule] Unit: dynes", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"dynes\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: dynes"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Dynes\""}], "]"}]& )]], ImageSize -> {36, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   SubscriptBox["\"oz\"", "\"f\""], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qozf\[EscapeKey] \[Rule] Unit: \
ounces\[Hyphen]force", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ozf\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: ounces\[Hyphen]force"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"PoundsForce\""}], "]"}]& )]], 
                ImageSize -> {24, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   SubscriptBox["\"lb\"", "\"f\""], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qlbf\[EscapeKey] \[Rule] Unit: \
pounds\[Hyphen]force", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"lbf\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: pounds\[Hyphen]force"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"PoundsForce\""}], "]"}]& )]], 
                ImageSize -> {24, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   SubscriptBox["\"ton\"", "\"f\""], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qton\[EscapeKey] \[Rule] Unit: short tons\
\[Hyphen]force", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"sh tnf\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: short tons\[Hyphen]force"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"ShortTonsForce\""}], "]"}]& )]], 
                ImageSize -> {28, 20}, Appearance -> "Palette"]}], 
             Spacer[0]}, Spacings -> 0]}, False]],
        DynamicModuleValues:>{}],
       Setting[#, {0}]& ]]},
    {
     PaneBox[
      TagBox[
       DynamicModuleBox[{Typeset`var$$ = False}, 
        InterpretationBox[
         StyleBox[
          PaneSelectorBox[{False->GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Heat/Energy Units\"\>",
               StripOnInput->False,
               FontSize->10]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}], True->
           GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Heat/Energy Units\"\>",
               StripOnInput->False,
               FontSize->10]},
             {"", 
              PaneBox[
               TagBox[GridBox[{
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"J\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qj\[EscapeKey] \[Rule] Unit: joules\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qj\[EscapeKey] \[Rule] Unit: joules", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"J\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: joules"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Joules\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ergs\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qergs\[EscapeKey] \[Rule] Unit: ergs\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qergs\[EscapeKey] \[Rule] Unit: ergs", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ergs\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: ergs"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Ergs\""}], "]"}]& )], ImageSize -> {33, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"eV\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qev\[EscapeKey] \[Rule] Unit: \
electronvolts\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qev\[EscapeKey] \[Rule] Unit: electronvolts",
                     12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"eV\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: electronvolts"]& ),
                     InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Electronvolts\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kcal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qkcal\[EscapeKey] \[Rule] Unit: \
thermochemical kilocalories\"", 12, StripOnInput -> False], LabelStyle -> 
                    "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qkcal\[EscapeKey] \[Rule] Unit: \
thermochemical kilocalories", 12], "Tooltip"]& ], BaseStyle -> "Paste", 
                    ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kcal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: thermochemical kilocalories"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"KilocaloriesThermochemical\""}], "]"}]& )], 
                    ImageSize -> {28, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"cal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qcal\[EscapeKey] \[Rule] Unit: \
thermochemical kilocalories\"", 12, StripOnInput -> False], LabelStyle -> 
                    "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qcal\[EscapeKey] \[Rule] Unit: \
thermochemical kilocalories", 12], "Tooltip"]& ], BaseStyle -> "Paste", 
                    ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"cal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: thermochemical kilocalories"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"CaloriesThermochemical\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    TemplateBox[{"\"ft\"", "\"\[ThinSpace]\"", 
                    SubscriptBox["\"lb\"", "\"f\""]}, "RowDefault"], FontSize -> 
                    10], 
                    StyleBox[
                    "\"\[EscapeKey]qftlb\[EscapeKey] \[Rule] Unit: foot \
pounds\[Hyphen]force\"", 12, StripOnInput -> False], LabelStyle -> 
                    "TextStyling"], Annotation[#, 
                    Style[
                    "\[EscapeKey]qftlb\[EscapeKey] \[Rule] Unit: foot pounds\
\[Hyphen]force", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    RowBox[{"\"ft\"", "\[ThinSpace]", "\"lbf\""}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: foot pounds\[Hyphen]force"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Feet\"", " ", "\"PoundsForce\""}], "]"}]& )], 
                    ImageSize -> {30, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Cal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qdcal\[EscapeKey] \[Rule] Unit: dietary \
Calories\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qdcal\[EscapeKey] \[Rule] Unit: dietary \
Calories", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Cal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: dietary Calories"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"LargeCalories\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox["\"BTU\"", FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qbtu\[EscapeKey] \[Rule] Unit: IT British \
thermal units\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qbtu\[EscapeKey] \[Rule] Unit: IT British \
thermal units", 12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    SubscriptBox["\"BTU\"", "\"IT\""], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: IT British thermal units"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"BritishThermalUnitsIT\""}], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox["\"tons TNT\"", FontSize -> 10], 
                    StyleBox[
                    "\"Unit: tons of TNT\"", 12, StripOnInput -> False], 
                    LabelStyle -> "TextStyling"], Annotation[#, 
                    Style["Unit: tons of TNT", 12], "Tooltip"]& ], BaseStyle -> 
                    "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"tons of TNT\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: tons of TNT"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"TonsOfTNT\""}], "]"}]& )], 
                    ImageSize -> {54, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   InterpretationBox[
                    StyleBox[
                    GraphicsBox[{},
                    BaselinePosition->Baseline,
                    ImageSize->{0, 0}],
                    CacheGraphics->False],
                    Spacer[0]]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 
                 GridBoxSpacings->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
                "Column"],
               ImageMargins->0]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}]}, 
           Dynamic[Typeset`var$$],
           Alignment->Automatic,
           BaselinePosition->Baseline,
           DefaultBaseStyle->"OpenerView",
           ImageMargins->0,
           ImageSize->Automatic],
          Deployed->False,
          StripOnInput->False],
         OpenerView[{
           Style["Heat/Energy Units", 10], 
           Column[{
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"J\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qj\[EscapeKey] \[Rule] Unit: joules", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"J\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: joules"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Joules\""}], "]"}]& )]], ImageSize -> {22, 20},
                 Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"ergs\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qergs\[EscapeKey] \[Rule] Unit: ergs", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ergs\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: ergs"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Ergs\""}], "]"}]& )]], ImageSize -> {33, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"eV\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qev\[EscapeKey] \[Rule] Unit: electronvolts", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"eV\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: electronvolts"]& ),
                   InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Electronvolts\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"kcal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qkcal\[EscapeKey] \[Rule] Unit: thermochemical \
kilocalories", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"kcal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: thermochemical kilocalories"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"KilocaloriesThermochemical\""}], "]"}]& )]], 
                ImageSize -> {28, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"cal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qcal\[EscapeKey] \[Rule] Unit: thermochemical \
kilocalories", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"cal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: thermochemical kilocalories"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"CaloriesThermochemical\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"]}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   TemplateBox[{"\"ft\"", "\"\[ThinSpace]\"", 
                    SubscriptBox["\"lb\"", "\"f\""]}, "RowDefault"], FontSize -> 
                   10]], 
                 Style[
                 "\[EscapeKey]qftlb\[EscapeKey] \[Rule] Unit: foot pounds\
\[Hyphen]force", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    RowBox[{"\"ft\"", "\[ThinSpace]", "\"lbf\""}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: foot pounds\[Hyphen]force"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Feet\"", " ", "\"PoundsForce\""}], "]"}]& )]], 
                ImageSize -> {30, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"Cal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qdcal\[EscapeKey] \[Rule] Unit: dietary \
Calories", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"Cal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: dietary Calories"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"LargeCalories\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox["\"BTU\"", FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qbtu\[EscapeKey] \[Rule] Unit: IT British \
thermal units", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    SubscriptBox["\"BTU\"", "\"IT\""], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: IT British thermal units"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"BritishThermalUnitsIT\""}], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox["\"tons TNT\"", FontSize -> 10]], 
                 Style["Unit: tons of TNT", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    "\"tons of TNT\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: tons of TNT"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"TonsOfTNT\""}], "]"}]& )]], 
                ImageSize -> {54, 20}, Appearance -> "Palette"]}], 
             Spacer[0]}, Spacings -> 0]}, False]],
        DynamicModuleValues:>{}],
       Setting[#, {0}]& ]]},
    {
     PaneBox[
      TagBox[
       DynamicModuleBox[{Typeset`var$$ = False}, 
        InterpretationBox[
         StyleBox[
          PaneSelectorBox[{False->GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Power Units\"\>",
               StripOnInput->False,
               FontSize->10]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}], True->
           GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Power Units\"\>",
               StripOnInput->False,
               FontSize->10]},
             {"", 
              PaneBox[
               TagBox[GridBox[{
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"W\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qw\[EscapeKey] \[Rule] Unit: watts\"", 12, 
                    StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qw\[EscapeKey] \[Rule] Unit: watts", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"W\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: watts"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Watts\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"hp\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qhp\[EscapeKey] \[Rule] Unit: \
horsepower\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qhp\[EscapeKey] \[Rule] Unit: horsepower", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"hp\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: horsepower"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"HorsepowerMechanical\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox["\"BTU/h\"", FontSize -> 10], 
                    StyleBox[
                    "\"Unit: IT British thermal units per hour\"", 12, 
                    StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style["Unit: IT British thermal units per hour", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    RowBox[{
                    SubscriptBox["\"BTU\"", "\"IT\""], "\[InvisibleSpace]", 
                    "\"/\"", "\[InvisibleSpace]", "\"h\""}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: IT British thermal units per hour"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    FractionBox["\"BritishThermalUnitsIT\"", "\"Hours\""], 
                    "]"}]& )], ImageSize -> {44, 20}, Appearance -> 
                    "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    TemplateBox[{"\"ft\"", "\"\[ThinSpace]\"", 
                    SubscriptBox["\"lb\"", "\"f\""], "\"\[VeryThinSpace]\"", 
                    "\"/\"", "\"\[VeryThinSpace]\"", "\"s\""}, "RowDefault"], 
                    FontSize -> 10], 
                    StyleBox[
                    "\"Unit: foot pounds\[Hyphen]force per second\"", 12, 
                    StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style["Unit: foot pounds\[Hyphen]force per second", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    
                    RowBox[{"\"ft\"", "\[ThinSpace]", "\"lbf\"", 
                    "\[InvisibleSpace]", "\"/\"", "\[InvisibleSpace]", 
                    "\"s\""}], "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], 
                    "Unit: foot pounds\[Hyphen]force per second"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    FractionBox[
                    RowBox[{"\"Feet\"", " ", "\"PoundsForce\""}], 
                    "\"Seconds\""], "]"}]& )], ImageSize -> {44, 20}, 
                    Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   InterpretationBox[
                    StyleBox[
                    GraphicsBox[{},
                    BaselinePosition->Baseline,
                    ImageSize->{0, 0}],
                    CacheGraphics->False],
                    Spacer[0]]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 
                 GridBoxSpacings->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
                "Column"],
               ImageMargins->0]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}]}, 
           Dynamic[Typeset`var$$],
           Alignment->Automatic,
           BaselinePosition->Baseline,
           DefaultBaseStyle->"OpenerView",
           ImageMargins->0,
           ImageSize->Automatic],
          Deployed->False,
          StripOnInput->False],
         OpenerView[{
           Style["Power Units", 10], 
           Column[{
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"W\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style["\[EscapeKey]qw\[EscapeKey] \[Rule] Unit: watts", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"W\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: watts"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Watts\""}], "]"}]& )]], ImageSize -> {22, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"hp\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qhp\[EscapeKey] \[Rule] Unit: horsepower", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"hp\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: horsepower"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"HorsepowerMechanical\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox["\"BTU/h\"", FontSize -> 10]], 
                 Style["Unit: IT British thermal units per hour", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    RowBox[{
                    SubscriptBox["\"BTU\"", "\"IT\""], "\[InvisibleSpace]", 
                    "\"/\"", "\[InvisibleSpace]", "\"h\""}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: IT British thermal units per hour"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    FractionBox["\"BritishThermalUnitsIT\"", "\"Hours\""], 
                    "]"}]& )]], ImageSize -> {44, 20}, Appearance -> 
                "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   TemplateBox[{"\"ft\"", "\"\[ThinSpace]\"", 
                    SubscriptBox["\"lb\"", "\"f\""], "\"\[VeryThinSpace]\"", 
                    "\"/\"", "\"\[VeryThinSpace]\"", "\"s\""}, "RowDefault"], 
                   FontSize -> 10]], 
                 Style["Unit: foot pounds\[Hyphen]force per second", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    
                    RowBox[{
                    "\"ft\"", "\[ThinSpace]", "\"lbf\"", "\[InvisibleSpace]", 
                    "\"/\"", "\[InvisibleSpace]", "\"s\""}], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: foot pounds\[Hyphen]force per second"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    FractionBox[
                    RowBox[{"\"Feet\"", " ", "\"PoundsForce\""}], 
                    "\"Seconds\""], "]"}]& )]], ImageSize -> {44, 20}, 
                Appearance -> "Palette"]}], 
             Spacer[0]}, Spacings -> 0]}, False]],
        DynamicModuleValues:>{}],
       Setting[#, {0}]& ]]},
    {
     PaneBox[
      TagBox[
       DynamicModuleBox[{Typeset`var$$ = False}, 
        InterpretationBox[
         StyleBox[
          PaneSelectorBox[{False->GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Area Units\"\>",
               StripOnInput->False,
               FontSize->10]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}], True->
           GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Area Units\"\>",
               StripOnInput->False,
               FontSize->10]},
             {"", 
              PaneBox[
               TagBox[GridBox[{
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    "\"\\!\\(\\*SuperscriptBox[\\(\[CenterDot]\\), \
\\(2\\)]\\)\"", 10, StripOnInput -> False], "\"Square Previous\"", LabelStyle -> 
                    "TextStyling"], 
                    Annotation[#, "Square Previous", "Tooltip"]& ], 
                    ButtonFunction :> {
                    SelectionMove[
                    InputNotebook[], All, Word], 
                    NotebookApply[
                    InputNotebook[], 
                    SuperscriptBox["\[SelectionPlaceholder]", "2"], All], 
                    SelectionMove[
                    InputNotebook[], After, Word]}, Appearance -> "Palette", 
                    ImageSize -> {22, 20}, Evaluator -> Automatic, Method -> 
                    "Preemptive"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    SuperscriptBox["\"m\"", "2"], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], FontSize -> 10], 
                    StyleBox[
                    "\"Unit: meters squared\"", 12, StripOnInput -> False], 
                    LabelStyle -> "TextStyling"], Annotation[#, 
                    Style["Unit: meters squared", 12], "Tooltip"]& ], 
                    BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    SuperscriptBox["\"m\"", "2"], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: meters squared"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    SuperscriptBox["\"Meters\"", "2"], "]"}]& )], 
                    ImageSize -> {26, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"b\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qb\[EscapeKey] \[Rule] Unit: barns\"", 12, 
                    StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qb\[EscapeKey] \[Rule] Unit: barns", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"b\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: barns"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Barns\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"acres\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qac\[EscapeKey] \[Rule] Unit: acres\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qac\[EscapeKey] \[Rule] Unit: acres", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"acres\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: acres"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Acres\""}], "]"}]& )], ImageSize -> {40, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ha\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qha\[EscapeKey] \[Rule] Unit: hectares\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qha\[EscapeKey] \[Rule] Unit: hectares", 12],
                     "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ha\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: hectares"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Hectares\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   InterpretationBox[
                    StyleBox[
                    GraphicsBox[{},
                    BaselinePosition->Baseline,
                    ImageSize->{0, 0}],
                    CacheGraphics->False],
                    Spacer[0]]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 GridBoxSpacings->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
                "Column"],
               ImageMargins->0]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}]}, 
           Dynamic[Typeset`var$$],
           Alignment->Automatic,
           BaselinePosition->Baseline,
           DefaultBaseStyle->"OpenerView",
           ImageMargins->0,
           ImageSize->Automatic],
          Deployed->False,
          StripOnInput->False],
         OpenerView[{
           Style["Area Units", 10], 
           Column[{
             Row[{
               Button[
                Tooltip[
                 Style["\!\(\*SuperscriptBox[\(\[CenterDot]\), \(2\)]\)", 10],
                  "Square Previous"], {
                 SelectionMove[
                  InputNotebook[], All, Word], 
                 NotebookApply[
                  InputNotebook[], 
                  SuperscriptBox["\[SelectionPlaceholder]", "2"], All], 
                 SelectionMove[
                  InputNotebook[], After, Word]}, Appearance -> "Palette", 
                ImageSize -> {22, 20}], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    SuperscriptBox["\"m\"", "2"], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], FontSize -> 10]], 
                 Style["Unit: meters squared", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    SuperscriptBox["\"m\"", "2"], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: meters squared"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    SuperscriptBox["\"Meters\"", "2"], "]"}]& )]], 
                ImageSize -> {26, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"b\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style["\[EscapeKey]qb\[EscapeKey] \[Rule] Unit: barns", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"b\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: barns"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Barns\""}], "]"}]& )]], ImageSize -> {22, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"acres\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qac\[EscapeKey] \[Rule] Unit: acres", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"acres\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: acres"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Acres\""}], "]"}]& )]], ImageSize -> {40, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"ha\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qha\[EscapeKey] \[Rule] Unit: hectares", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"ha\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: hectares"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Hectares\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"]}], 
             Spacer[0]}, Spacings -> 0]}, False]],
        DynamicModuleValues:>{}],
       Setting[#, {0}]& ]]},
    {
     PaneBox[
      TagBox[
       DynamicModuleBox[{Typeset`var$$ = False}, 
        InterpretationBox[
         StyleBox[
          PaneSelectorBox[{False->GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Volume Units\"\>",
               StripOnInput->False,
               FontSize->10]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}], True->
           GridBox[{
             {
              OpenerBox[Dynamic[Typeset`var$$],
               Appearance->Automatic,
               AutoAction->False,
               ContinuousAction->False,
               Enabled->Automatic], 
              StyleBox["\<\"Volume Units\"\>",
               StripOnInput->False,
               FontSize->10]},
             {"", 
              PaneBox[
               TagBox[GridBox[{
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    "\"\\!\\(\\*SuperscriptBox[\\(\[CenterDot]\\), \
\\(3\\)]\\)\"", 10, StripOnInput -> False], "\"Cube Previous\"", LabelStyle -> 
                    "TextStyling"], 
                    Annotation[#, "Cube Previous", "Tooltip"]& ], 
                    ButtonFunction :> {
                    SelectionMove[
                    InputNotebook[], All, Word], 
                    NotebookApply[
                    InputNotebook[], 
                    SuperscriptBox["\[SelectionPlaceholder]", "3"], All], 
                    SelectionMove[
                    InputNotebook[], After, Word]}, Appearance -> "Palette", 
                    ImageSize -> {22, 20}, Evaluator -> Automatic, Method -> 
                    "Preemptive"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    SuperscriptBox["\"m\"", "3"], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], FontSize -> 10], 
                    StyleBox[
                    "\"Unit: meters cubed\"", 12, StripOnInput -> False], 
                    LabelStyle -> "TextStyling"], Annotation[#, 
                    Style["Unit: meters cubed", 12], "Tooltip"]& ], BaseStyle -> 
                    "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    SuperscriptBox["\"m\"", "3"], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: meters cubed"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    SuperscriptBox["\"Meters\"", "3"], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"L\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]ql\[EscapeKey] \[Rule] Unit: liters\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]ql\[EscapeKey] \[Rule] Unit: liters", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"L\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: liters"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Liters\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mL\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qml\[EscapeKey] \[Rule] Unit: \
milliliters\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qml\[EscapeKey] \[Rule] Unit: milliliters", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mL\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: milliliters"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Milliliters\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]L\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qmicl\[EscapeKey] \[Rule] Unit: \
microliters\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qmicl\[EscapeKey] \[Rule] Unit: microliters",
                     12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]L\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microliters"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microliters\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pL\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qpl\[EscapeKey] \[Rule] Unit: \
picoliters\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qpl\[EscapeKey] \[Rule] Unit: picoliters", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pL\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: picoliters"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Picoliters\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"tsp\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qtsp\[EscapeKey] \[Rule] Unit: \
teaspoons\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qtsp\[EscapeKey] \[Rule] Unit: teaspoons", 
                    12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"tsp\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: teaspoons"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Teaspoons\""}], "]"}]& )], 
                    ImageSize -> {22, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"tbsp\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qtbsp\[EscapeKey] \[Rule] Unit: \
tablespoons\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qtbsp\[EscapeKey] \[Rule] Unit: tablespoons",
                     12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"tbsp\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: tablespoons"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Tablespoons\""}], "]"}]& )], 
                    ImageSize -> {28, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"fl oz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qfoz\[EscapeKey] \[Rule] Unit: fluid \
ounces\"", 12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qfoz\[EscapeKey] \[Rule] Unit: fluid ounces",
                     12], "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"fl oz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: fluid ounces"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"FluidOunces\""}], "]"}]& )], 
                    ImageSize -> {30, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"cups\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qcups\[EscapeKey] \[Rule] Unit: cups\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qcups\[EscapeKey] \[Rule] Unit: cups", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"cups\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: cups"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Cups\""}], "]"}]& )], ImageSize -> {30, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pt\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qpt\[EscapeKey] \[Rule] Unit: pints\"", 12,
                     StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qpt\[EscapeKey] \[Rule] Unit: pints", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pt\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: pints"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Pints\""}], "]"}]& )], ImageSize -> {22, 20}, 
                    Appearance -> "Palette"],""},
                    "RowDefault"]},
                  {
                   TemplateBox[{ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"qt\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qqt\[EscapeKey] \[Rule] Unit: quarts\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qqt\[EscapeKey] \[Rule] Unit: quarts", 12], 
                    "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"qt\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: quarts"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Quarts\""}], "]"}]& )], ImageSize -> {18, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"gal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"\[EscapeKey]qgal\[EscapeKey] \[Rule] Unit: gallons\"", 
                    12, StripOnInput -> False], LabelStyle -> "TextStyling"], 
                    Annotation[#, 
                    Style[
                    "\[EscapeKey]qgal\[EscapeKey] \[Rule] Unit: gallons", 12],
                     "Tooltip"]& ], BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"gal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: gallons"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Gallons\""}], "]"}]& )], ImageSize -> {21, 20},
                     Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pk\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox["\"Unit: pecks\"", 12, StripOnInput -> False], 
                    LabelStyle -> "TextStyling"], Annotation[#, 
                    Style["Unit: pecks", 12], "Tooltip"]& ], BaseStyle -> 
                    "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pk\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: pecks"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Pecks\""}], "]"}]& )], ImageSize -> {18, 20}, 
                    Appearance -> "Palette"],ButtonBox[
                    TagBox[
                    TooltipBox[
                    StyleBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"bu\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10], 
                    StyleBox[
                    "\"Unit: US  bushels\"", 12, StripOnInput -> False], 
                    LabelStyle -> "TextStyling"], Annotation[#, 
                    Style["Unit: US  bushels", 12], "Tooltip"]& ], BaseStyle -> 
                    "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"bu\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: US  bushels"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"BushelsUS\""}], "]"}]& )], 
                    ImageSize -> {19, 20}, Appearance -> "Palette"],ButtonBox[
                    
                    TagBox[
                    TooltipBox[
                    StyleBox["\"oil barrels\"", FontSize -> 10], 
                    StyleBox[
                    "\"Unit: barrels of oil\"", 12, StripOnInput -> False], 
                    LabelStyle -> "TextStyling"], Annotation[#, 
                    Style["Unit: barrels of oil", 12], "Tooltip"]& ], 
                    BaseStyle -> "Paste", ButtonData -> 
                    TemplateBox[{}, "QuantityUnit", 
                    DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"bbl oil\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], 
                    "Unit: barrels of oil"]& ), 
                    InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"BarrelsOfOil\""}], "]"}]& )], 
                    ImageSize -> {56, 20}, Appearance -> "Palette"]},
                    "RowDefault"]},
                  {
                   InterpretationBox[
                    StyleBox[
                    GraphicsBox[{},
                    BaselinePosition->Baseline,
                    ImageSize->{0, 0}],
                    CacheGraphics->False],
                    Spacer[0]]}
                 },
                 DefaultBaseStyle->"Column",
                 GridBoxAlignment->{"Columns" -> {{Left}}},
                 
                 GridBoxItemSize->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
                 
                 GridBoxSpacings->{
                  "Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
                "Column"],
               ImageMargins->0]}
            },
            AutoDelete->False,
            BaselinePosition->{1, 1},
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxBackground->{"Columns" -> {{Automatic}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.5}}}]}, 
           Dynamic[Typeset`var$$],
           Alignment->Automatic,
           BaselinePosition->Baseline,
           DefaultBaseStyle->"OpenerView",
           ImageMargins->0,
           ImageSize->Automatic],
          Deployed->False,
          StripOnInput->False],
         OpenerView[{
           Style["Volume Units", 10], 
           Column[{
             Row[{
               Button[
                Tooltip[
                 Style["\!\(\*SuperscriptBox[\(\[CenterDot]\), \(3\)]\)", 10],
                  "Cube Previous"], {
                 SelectionMove[
                  InputNotebook[], All, Word], 
                 NotebookApply[
                  InputNotebook[], 
                  SuperscriptBox["\[SelectionPlaceholder]", "3"], All], 
                 SelectionMove[
                  InputNotebook[], After, Word]}, Appearance -> "Palette", 
                ImageSize -> {22, 20}], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox[
                    SuperscriptBox["\"m\"", "3"], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], FontSize -> 10]], 
                 Style["Unit: meters cubed", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox[
                    SuperscriptBox["\"m\"", "3"], 
                    "QuantityUnitTraditionalLabel"]}], ShowStringCharacters -> 
                    False], "Unit: meters cubed"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    SuperscriptBox["\"Meters\"", "3"], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"L\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]ql\[EscapeKey] \[Rule] Unit: liters", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"L\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: liters"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Liters\""}], "]"}]& )]], ImageSize -> {22, 20},
                 Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"mL\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qml\[EscapeKey] \[Rule] Unit: milliliters", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"mL\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: milliliters"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Milliliters\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]L\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qmicl\[EscapeKey] \[Rule] Unit: microliters", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"\[Mu]L\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: microliters"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Microliters\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"pL\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qpl\[EscapeKey] \[Rule] Unit: picoliters", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pL\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: picoliters"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Picoliters\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"]}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"tsp\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qtsp\[EscapeKey] \[Rule] Unit: teaspoons", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"tsp\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: teaspoons"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Teaspoons\""}], "]"}]& )]], 
                ImageSize -> {22, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"tbsp\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qtbsp\[EscapeKey] \[Rule] Unit: tablespoons", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"tbsp\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: tablespoons"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Tablespoons\""}], "]"}]& )]], 
                ImageSize -> {28, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"fl oz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qfoz\[EscapeKey] \[Rule] Unit: fluid ounces", 
                  12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"fl oz\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: fluid ounces"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"FluidOunces\""}], "]"}]& )]], 
                ImageSize -> {30, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"cups\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qcups\[EscapeKey] \[Rule] Unit: cups", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"cups\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: cups"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Cups\""}], "]"}]& )]], ImageSize -> {30, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"pt\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qpt\[EscapeKey] \[Rule] Unit: pints", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pt\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: pints"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Pints\""}], "]"}]& )]], ImageSize -> {22, 20}, 
                Appearance -> "Palette"], Null}], 
             Row[{
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"qt\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qqt\[EscapeKey] \[Rule] Unit: quarts", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"qt\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: quarts"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Quarts\""}], "]"}]& )]], ImageSize -> {18, 20},
                 Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"gal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style[
                 "\[EscapeKey]qgal\[EscapeKey] \[Rule] Unit: gallons", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"gal\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: gallons"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Gallons\""}], "]"}]& )]], 
                ImageSize -> {21, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"pk\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style["Unit: pecks", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"pk\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: pecks"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"Pecks\""}], "]"}]& )]], ImageSize -> {18, 20}, 
                Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox[
                   StyleBox[
                    RowBox[{
                    StyleBox["\"bu\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], FontSize -> 10]], 
                 Style["Unit: US  bushels", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"bu\"", "QuantityUnitTraditionalLabel"]}], 
                    ShowStringCharacters -> False], "Unit: US  bushels"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"BushelsUS\""}], "]"}]& )]], 
                ImageSize -> {19, 20}, Appearance -> "Palette"], 
               PasteButton[
                Tooltip[
                 RawBoxes[
                  StyleBox["\"oil barrels\"", FontSize -> 10]], 
                 Style["Unit: barrels of oil", 12]], 
                RawBoxes[
                 
                 TemplateBox[{}, "QuantityUnit", 
                  DisplayFunction -> (TooltipBox[
                    StyleBox[
                    RowBox[{
                    StyleBox["\"bbl oil\"", "QuantityUnitTraditionalLabel"]}],
                     ShowStringCharacters -> False], 
                    "Unit: barrels of oil"]& ), 
                  InterpretationFunction -> (RowBox[{"Quantity", "[", 
                    RowBox[{"\"BarrelsOfOil\""}], "]"}]& )]], 
                ImageSize -> {56, 20}, Appearance -> "Palette"]}], 
             Spacer[0]}, Spacings -> 0]}, False]],
        DynamicModuleValues:>{}],
       Setting[#, {0}]& ]]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
  "Column"]],
 CellMargins->{{0, 0}, {0, 0}},
 CellBracketOptions->{"Color"->RGBColor[0.269993, 0.308507, 0.6]},
 CellHorizontalScrolling->True,
 PageBreakAbove->True,
 PageBreakWithin->False,
 ShowAutoStyles->True,
 LineSpacing->{1.25, 0},
 AutoItalicWords->{},
 ScriptMinSize->9,
 ShowStringCharacters->False,
 FontFamily:>CurrentValue["PanelFontFamily"],
 FontSize:>CurrentValue["PanelFontSize"]]
},
WindowSize->All,
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
WindowElements->{},
WindowTitle->"Units",
CellMargins->{{0, 0}, {0, 0}},
Magnification->1.25,
Background->GrayLevel[1],
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September 9, \
2014)",
StyleDefinitions->"Palette.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[578, 21, 340283, 7290, 403, InheritFromParent,
 PageBreakAbove->True,
 PageBreakWithin->False]
}
]
*)

(* End of internal cache information *)

